CREATE TABLE cn_tp_1002_dnm_attr_values (
    DNM_ATTR_VALUE_ID          NUMBER            NOT NULL,
    RULE_ID                    NUMBER        ,
    START_DATE                 DATE          ,
    END_DATE                   DATE          ,
    ABSOLUTE_RANK              NUMBER        ,
    TOP_LEVEL_RULE_ID          NUMBER        ,
    NUM_WINNERS                NUMBER        ,
    ATTR_RELATION_PRODUCT      NUMBER        ,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    REQUEST_ID                 NUMBER(18, 0) ,
    JOB_DEFINITION_NAME        VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE     VARCHAR2(3600),
    DUMMY1                     VARCHAR2(1440),
    DUMMY2                     VARCHAR2(1440),
    DUMMY3                     VARCHAR2(1440),
    DUMMY4                     VARCHAR2(1440),
    DUMMY5                     VARCHAR2(1440),
    DUMMY6                     VARCHAR2(1440),
    DUMMY7                     VARCHAR2(1440),
    DUMMY8                     VARCHAR2(1440),
    DUMMY9                     VARCHAR2(1440),
    DUMMY10                    VARCHAR2(1440),
    DUMMY11                    VARCHAR2(1440),
    DUMMY12                    VARCHAR2(1440),
    DUMMY13                    VARCHAR2(1440),
    DUMMY14                    VARCHAR2(1440),
    Q1101_CP                   VARCHAR2(120) ,
    Q1101_LOW_VALUE_CHAR       VARCHAR2(1440),
    Q1102_CP                   VARCHAR2(120) ,
    Q1102_LOW_VALUE_CHAR       VARCHAR2(1440),
    Q1103_CP                   VARCHAR2(120) ,
    Q1103_LOW_VALUE_CHAR       VARCHAR2(1440),
    Q1104_CP                   VARCHAR2(120) ,
    Q1104_LOW_VALUE_CHAR       VARCHAR2(1440),
    Q1105_CP                   VARCHAR2(120) ,
    Q1105_LOW_VALUE_CHAR_ID    NUMBER        ,
    Q1106_CP                   VARCHAR2(120) ,
    Q1106_LOW_VALUE_CHAR       VARCHAR2(1440),
    Q1106_HIGH_VALUE_CHAR      VARCHAR2(1440),
    Q1106_FIRST_CHAR           VARCHAR2(12)  ,
    Q1107_CP                   VARCHAR2(120) ,
    Q1107_LOW_VALUE_CHAR       VARCHAR2(1440),
    Q1107_HIGH_VALUE_CHAR      VARCHAR2(1440),
    Q1109_CP                   VARCHAR2(120) ,
    Q1109_LOW_VALUE_CHAR       VARCHAR2(1440),
    Q1110_CP                   VARCHAR2(120) ,
    Q1110_LOW_VALUE_CHAR_ID    NUMBER        ,
    Q1111_CP                   VARCHAR2(120) ,
    Q1111_LOW_VALUE_CHAR       VARCHAR2(1440),
    Q1112_CP                   VARCHAR2(120) ,
    Q1112_LOW_VALUE_CHAR       VARCHAR2(1440),
    Q1114_CP                   VARCHAR2(120) ,
    Q1114_LOW_VALUE_CHAR       VARCHAR2(1440),
    Q1115_CP                   VARCHAR2(120) ,
    Q1115_LOW_VALUE_CHAR       VARCHAR2(1440),
    Q1115_HIGH_VALUE_CHAR      VARCHAR2(1440),
    Q1116_CP                   VARCHAR2(120) ,
    Q1116_LOW_VALUE_CHAR_ID    NUMBER        ,
    Q1118_CP                   VARCHAR2(120) ,
    Q1118_LOW_VALUE_CHAR       VARCHAR2(1440),
    Q1120_CP                   VARCHAR2(120) ,
    Q1120_LOW_VALUE_CHAR_ID    NUMBER        ,
    Q1121_CP                   VARCHAR2(120) ,
    Q1121_LOW_VALUE_NUMBER     NUMBER        ,
    Q1121_HIGH_VALUE_NUMBER    NUMBER        ,
    Q1122_CP                   VARCHAR2(120) ,
    Q1122_LOW_VALUE_NUMBER     NUMBER        ,
    Q1122_HIGH_VALUE_NUMBER    NUMBER        ,
    Q1123_CP                   VARCHAR2(120) ,
    Q1123_LOW_VALUE_CHAR_ID    NUMBER        ,
    Q1124_CP                   VARCHAR2(120) ,
    Q1124_LOW_VALUE_CHAR_ID    NUMBER        ,
    Q1125_CP                   VARCHAR2(120) ,
    Q1125_LOW_VALUE_CHAR_ID    NUMBER        ,
    Q1126_CP                   VARCHAR2(120) ,
    Q1126_LOW_VALUE_CHAR_ID    NUMBER        ,
    Q1127_CP                   VARCHAR2(120) ,
    Q1127_LOW_VALUE_CHAR_ID    NUMBER        ,
    Q1128_CP                   VARCHAR2(120) ,
    Q1119_LOW_VALUE_CHAR       VARCHAR2(1440),
    Q2001_CP                   VARCHAR2(120) ,
    Q2002_CP                   VARCHAR2(120) ,
    Q2003_CP                   VARCHAR2(120) ,
    Q2004_CP                   VARCHAR2(120) ,
    Q2005_CP                   VARCHAR2(120) ,
    Q2006_CP                   VARCHAR2(120) ,
    Q2007_CP                   VARCHAR2(120) ,
    Q2008_CP                   VARCHAR2(120) ,
    Q2009_CP                   VARCHAR2(120) ,
    Q2010_CP                   VARCHAR2(120) ,
    Q2011_CP                   VARCHAR2(120) ,
    Q2012_CP                   VARCHAR2(120) ,
    Q2001_NUMBER               NUMBER        ,
    Q2002_NUMBER               NUMBER        ,
    Q2003_NUMBER               NUMBER        ,
    Q2004_NUMBER               NUMBER        ,
    Q2005_NUMBER               NUMBER        ,
    Q2006_NUMBER               NUMBER        ,
    Q2007_NUMBER               NUMBER        ,
    Q2008_NUMBER               NUMBER        ,
    Q2009_NUMBER               NUMBER        ,
    Q2010_NUMBER               NUMBER        ,
    Q2011_NUMBER               NUMBER        ,
    Q2012_NUMBER               NUMBER        ,
    Q2013_NUMBER               NUMBER        ,
    Q2014_NUMBER               NUMBER        ,
    Q2015_NUMBER               NUMBER        ,
    Q2001_CHAR                 VARCHAR2(1440),
    Q2002_CHAR                 VARCHAR2(1440),
    Q2003_CHAR                 VARCHAR2(1440),
    Q2004_CHAR                 VARCHAR2(1440),
    Q2005_CHAR                 VARCHAR2(1440),
    Q2006_CHAR                 VARCHAR2(1440),
    Q2007_CHAR                 VARCHAR2(1440),
    Q2008_CHAR                 VARCHAR2(1440),
    Q2009_CHAR                 VARCHAR2(1440),
    Q2010_CHAR                 VARCHAR2(1440),
    Q2011_CHAR                 VARCHAR2(1440),
    Q2012_CHAR                 VARCHAR2(1440),
    Q2013_CHAR                 VARCHAR2(1440),
    Q2014_CHAR                 VARCHAR2(1440),
    Q2015_CHAR                 VARCHAR2(1440),
    Q2013_CP                   VARCHAR2(120) ,
    Q2014_CP                   VARCHAR2(120) ,
    Q2015_CP                   VARCHAR2(120) ,
    Q2016_CP                   VARCHAR2(120) ,
    Q2017_CP                   VARCHAR2(120) ,
    Q2018_CP                   VARCHAR2(120) ,
    Q2019_CP                   VARCHAR2(120) ,
    Q2020_CP                   VARCHAR2(120) ,
    Q2021_CP                   VARCHAR2(120) ,
    Q2022_CP                   VARCHAR2(120) ,
    Q2023_CP                   VARCHAR2(120) ,
    Q2024_CP                   VARCHAR2(120) ,
    Q2016_NUMBER               NUMBER        ,
    Q2017_NUMBER               NUMBER        ,
    Q2018_NUMBER               NUMBER        ,
    Q2019_NUMBER               NUMBER        ,
    Q2020_NUMBER               NUMBER        ,
    Q2021_NUMBER               NUMBER        ,
    Q2022_NUMBER               NUMBER        ,
    Q2023_NUMBER               NUMBER        ,
    Q2024_NUMBER               NUMBER        ,
    Q2025_NUMBER               NUMBER        ,
    Q2026_NUMBER               NUMBER        ,
    Q2027_NUMBER               NUMBER        ,
    Q2028_NUMBER               NUMBER        ,
    Q2029_NUMBER               NUMBER        ,
    Q2030_NUMBER               NUMBER        ,
    Q2016_CHAR                 VARCHAR2(1440),
    Q2017_CHAR                 VARCHAR2(1440),
    Q2018_CHAR                 VARCHAR2(1440),
    Q2019_CHAR                 VARCHAR2(1440),
    Q2020_CHAR                 VARCHAR2(1440),
    Q2021_CHAR                 VARCHAR2(1440),
    Q2022_CHAR                 VARCHAR2(1440),
    Q2023_CHAR                 VARCHAR2(1440),
    Q2024_CHAR                 VARCHAR2(1440),
    Q2025_CHAR                 VARCHAR2(1440),
    Q2026_CHAR                 VARCHAR2(1440),
    Q2027_CHAR                 VARCHAR2(1440),
    Q2028_CHAR                 VARCHAR2(1440),
    Q2029_CHAR                 VARCHAR2(1440),
    Q2030_CHAR                 VARCHAR2(1440),
    Q2025_CP                   VARCHAR2(120) ,
    Q2026_CP                   VARCHAR2(120) ,
    Q2027_CP                   VARCHAR2(120) ,
    Q2028_CP                   VARCHAR2(120) ,
    Q2029_CP                   VARCHAR2(120) ,
    Q2030_CP                   VARCHAR2(120) ,
    Q2031_CP                   VARCHAR2(120) ,
    Q2032_CP                   VARCHAR2(120) ,
    Q2033_CP                   VARCHAR2(120) ,
    Q2034_CP                   VARCHAR2(120) ,
    Q2035_CP                   VARCHAR2(120) ,
    Q2036_CP                   VARCHAR2(120) ,
    Q2031_NUMBER               NUMBER        ,
    Q2032_NUMBER               NUMBER        ,
    Q2033_NUMBER               NUMBER        ,
    Q2034_NUMBER               NUMBER        ,
    Q2035_NUMBER               NUMBER        ,
    Q2036_NUMBER               NUMBER        ,
    Q2037_NUMBER               NUMBER        ,
    Q2038_NUMBER               NUMBER        ,
    Q2039_NUMBER               NUMBER        ,
    Q2040_NUMBER               NUMBER        ,
    Q2041_NUMBER               NUMBER        ,
    Q2042_NUMBER               NUMBER        ,
    Q2043_NUMBER               NUMBER        ,
    Q2044_NUMBER               NUMBER        ,
    Q2045_NUMBER               NUMBER        ,
    Q2031_CHAR                 VARCHAR2(1440),
    Q2032_CHAR                 VARCHAR2(1440),
    Q2033_CHAR                 VARCHAR2(1440),
    Q2034_CHAR                 VARCHAR2(1440),
    Q2035_CHAR                 VARCHAR2(1440),
    Q2036_CHAR                 VARCHAR2(1440),
    Q2037_CHAR                 VARCHAR2(1440),
    Q2038_CHAR                 VARCHAR2(1440),
    Q2039_CHAR                 VARCHAR2(1440),
    Q2040_CHAR                 VARCHAR2(1440),
    Q2041_CHAR                 VARCHAR2(1440),
    Q2042_CHAR                 VARCHAR2(1440),
    Q2043_CHAR                 VARCHAR2(1440),
    Q2044_CHAR                 VARCHAR2(1440),
    Q2045_CHAR                 VARCHAR2(1440),
    Q2037_CP                   VARCHAR2(120) ,
    Q2038_CP                   VARCHAR2(120) ,
    Q2039_CP                   VARCHAR2(120) ,
    Q2040_CP                   VARCHAR2(120) ,
    Q2041_CP                   VARCHAR2(120) ,
    Q2042_CP                   VARCHAR2(120) ,
    Q2043_CP                   VARCHAR2(120) ,
    Q2044_CP                   VARCHAR2(120) ,
    Q2045_CP                   VARCHAR2(120) ,
    Q2046_CP                   VARCHAR2(120) ,
    Q2047_CP                   VARCHAR2(120) ,
    Q2048_CP                   VARCHAR2(120) ,
    Q2049_CP                   VARCHAR2(120) ,
    Q2050_CP                   VARCHAR2(120) ,
    Q2051_CP                   VARCHAR2(120) ,
    Q2052_CP                   VARCHAR2(120) ,
    Q2053_CP                   VARCHAR2(120) ,
    Q2054_CP                   VARCHAR2(120) ,
    Q2055_CP                   VARCHAR2(120) ,
    Q2056_CP                   VARCHAR2(120) ,
    Q2057_CP                   VARCHAR2(120) ,
    Q2058_CP                   VARCHAR2(120) ,
    Q2059_CP                   VARCHAR2(120) ,
    Q2060_CP                   VARCHAR2(120) ,
    Q2061_CP                   VARCHAR2(120) ,
    Q2062_CP                   VARCHAR2(120) ,
    Q2063_CP                   VARCHAR2(120) ,
    Q2064_CP                   VARCHAR2(120) ,
    Q2065_CP                   VARCHAR2(120) ,
    Q2066_CP                   VARCHAR2(120) ,
    Q2067_CP                   VARCHAR2(120) ,
    Q2068_CP                   VARCHAR2(120) ,
    Q2069_CP                   VARCHAR2(120) ,
    Q2070_CP                   VARCHAR2(120) ,
    Q2071_CP                   VARCHAR2(120) ,
    Q2072_CP                   VARCHAR2(120) ,
    Q2073_CP                   VARCHAR2(120) ,
    Q2074_CP                   VARCHAR2(120) ,
    Q2075_CP                   VARCHAR2(120) ,
    Q2076_CP                   VARCHAR2(120) ,
    Q2077_CP                   VARCHAR2(120) ,
    Q2078_CP                   VARCHAR2(120) ,
    Q2079_CP                   VARCHAR2(120) ,
    Q2080_CP                   VARCHAR2(120) ,
    Q2081_CP                   VARCHAR2(120) ,
    Q2082_CP                   VARCHAR2(120) ,
    Q2083_CP                   VARCHAR2(120) ,
    Q2084_CP                   VARCHAR2(120) ,
    Q2085_CP                   VARCHAR2(120) ,
    Q2086_CP                   VARCHAR2(120) ,
    Q2087_CP                   VARCHAR2(120) ,
    Q2088_CP                   VARCHAR2(120) ,
    Q2089_CP                   VARCHAR2(120) ,
    Q2090_CP                   VARCHAR2(120) ,
    Q2091_CP                   VARCHAR2(120) ,
    Q2092_CP                   VARCHAR2(120) ,
    Q2093_CP                   VARCHAR2(120) ,
    Q2094_CP                   VARCHAR2(120) ,
    Q2095_CP                   VARCHAR2(120) ,
    Q2096_CP                   VARCHAR2(120) ,
    Q2097_CP                   VARCHAR2(120) ,
    Q2098_CP                   VARCHAR2(120) ,
    Q2099_CP                   VARCHAR2(120) ,
    Q2100_CP                   VARCHAR2(120) ,
    Q2046_NUMBER               NUMBER        ,
    Q2047_NUMBER               NUMBER        ,
    Q2048_NUMBER               NUMBER        ,
    Q2049_NUMBER               NUMBER        ,
    Q2050_NUMBER               NUMBER        ,
    Q2051_NUMBER               NUMBER        ,
    Q2052_NUMBER               NUMBER        ,
    Q2053_NUMBER               NUMBER        ,
    Q2054_NUMBER               NUMBER        ,
    Q2055_NUMBER               NUMBER        ,
    Q2056_NUMBER               NUMBER        ,
    Q2057_NUMBER               NUMBER        ,
    Q2058_NUMBER               NUMBER        ,
    Q2059_NUMBER               NUMBER        ,
    Q2060_NUMBER               NUMBER        ,
    Q2061_NUMBER               NUMBER        ,
    Q2062_NUMBER               NUMBER        ,
    Q2063_NUMBER               NUMBER        ,
    Q2064_NUMBER               NUMBER        ,
    Q2065_NUMBER               NUMBER        ,
    Q2066_NUMBER               NUMBER        ,
    Q2067_NUMBER               NUMBER        ,
    Q2068_NUMBER               NUMBER        ,
    Q2069_NUMBER               NUMBER        ,
    Q2070_NUMBER               NUMBER        ,
    Q2071_NUMBER               NUMBER        ,
    Q2072_NUMBER               NUMBER        ,
    Q2073_NUMBER               NUMBER        ,
    Q2074_NUMBER               NUMBER        ,
    Q2075_NUMBER               NUMBER        ,
    Q2076_NUMBER               NUMBER        ,
    Q2077_NUMBER               NUMBER        ,
    Q2078_NUMBER               NUMBER        ,
    Q2079_NUMBER               NUMBER        ,
    Q2080_NUMBER               NUMBER        ,
    Q2081_NUMBER               NUMBER        ,
    Q2082_NUMBER               NUMBER        ,
    Q2083_NUMBER               NUMBER        ,
    Q2084_NUMBER               NUMBER        ,
    Q2085_NUMBER               NUMBER        ,
    Q2086_NUMBER               NUMBER        ,
    Q2087_NUMBER               NUMBER        ,
    Q2088_NUMBER               NUMBER        ,
    Q2089_NUMBER               NUMBER        ,
    Q2090_NUMBER               NUMBER        ,
    Q2091_NUMBER               NUMBER        ,
    Q2092_NUMBER               NUMBER        ,
    Q2093_NUMBER               NUMBER        ,
    Q2094_NUMBER               NUMBER        ,
    Q2095_NUMBER               NUMBER        ,
    Q2096_NUMBER               NUMBER        ,
    Q2097_NUMBER               NUMBER        ,
    Q2098_NUMBER               NUMBER        ,
    Q2099_NUMBER               NUMBER        ,
    Q2100_NUMBER               NUMBER        ,
    Q2101_NUMBER               NUMBER        ,
    Q2102_NUMBER               NUMBER        ,
    Q2103_NUMBER               NUMBER        ,
    Q2104_NUMBER               NUMBER        ,
    Q2105_NUMBER               NUMBER        ,
    Q2106_NUMBER               NUMBER        ,
    Q2107_NUMBER               NUMBER        ,
    Q2108_NUMBER               NUMBER        ,
    Q2109_NUMBER               NUMBER        ,
    Q2110_NUMBER               NUMBER        ,
    Q2111_NUMBER               NUMBER        ,
    Q2112_NUMBER               NUMBER        ,
    Q2113_NUMBER               NUMBER        ,
    Q2114_NUMBER               NUMBER        ,
    Q2115_NUMBER               NUMBER        ,
    Q2116_NUMBER               NUMBER        ,
    Q2117_NUMBER               NUMBER        ,
    Q2118_NUMBER               NUMBER        ,
    Q2119_NUMBER               NUMBER        ,
    Q2120_NUMBER               NUMBER        ,
    Q2046_CHAR                 VARCHAR2(1440),
    Q2047_CHAR                 VARCHAR2(1440),
    Q2048_CHAR                 VARCHAR2(1440),
    Q2049_CHAR                 VARCHAR2(1440),
    Q2050_CHAR                 VARCHAR2(1440),
    Q2051_CHAR                 VARCHAR2(1440),
    Q2052_CHAR                 VARCHAR2(1440),
    Q2053_CHAR                 VARCHAR2(1440),
    Q2054_CHAR                 VARCHAR2(1440),
    Q2055_CHAR                 VARCHAR2(1440),
    Q2056_CHAR                 VARCHAR2(1440),
    Q2057_CHAR                 VARCHAR2(1440),
    Q2058_CHAR                 VARCHAR2(1440),
    Q2059_CHAR                 VARCHAR2(1440),
    Q2060_CHAR                 VARCHAR2(1440),
    Q2061_CHAR                 VARCHAR2(1440),
    Q2062_CHAR                 VARCHAR2(1440),
    Q2063_CHAR                 VARCHAR2(1440),
    Q2064_CHAR                 VARCHAR2(1440),
    Q2065_CHAR                 VARCHAR2(1440),
    Q2066_CHAR                 VARCHAR2(1440),
    Q2067_CHAR                 VARCHAR2(1440),
    Q2068_CHAR                 VARCHAR2(1440),
    Q2069_CHAR                 VARCHAR2(1440),
    Q2070_CHAR                 VARCHAR2(1440),
    Q2071_CHAR                 VARCHAR2(1440),
    Q2072_CHAR                 VARCHAR2(1440),
    Q2073_CHAR                 VARCHAR2(1440),
    Q2074_CHAR                 VARCHAR2(1440),
    Q2075_CHAR                 VARCHAR2(1440),
    Q2076_CHAR                 VARCHAR2(1440),
    Q2077_CHAR                 VARCHAR2(1440),
    Q2078_CHAR                 VARCHAR2(1440),
    Q2079_CHAR                 VARCHAR2(1440),
    Q2080_CHAR                 VARCHAR2(1440),
    Q2081_CHAR                 VARCHAR2(1440),
    Q2082_CHAR                 VARCHAR2(1440),
    Q2083_CHAR                 VARCHAR2(1440),
    Q2084_CHAR                 VARCHAR2(1440),
    Q2085_CHAR                 VARCHAR2(1440),
    Q2086_CHAR                 VARCHAR2(1440),
    Q2087_CHAR                 VARCHAR2(1440),
    Q2088_CHAR                 VARCHAR2(1440),
    Q2089_CHAR                 VARCHAR2(1440),
    Q2090_CHAR                 VARCHAR2(1440),
    Q2091_CHAR                 VARCHAR2(1440),
    Q2092_CHAR                 VARCHAR2(1440),
    Q2093_CHAR                 VARCHAR2(1440),
    Q2094_CHAR                 VARCHAR2(1440),
    Q2095_CHAR                 VARCHAR2(1440),
    Q2096_CHAR                 VARCHAR2(1440),
    Q2097_CHAR                 VARCHAR2(1440),
    Q2098_CHAR                 VARCHAR2(1440),
    Q2099_CHAR                 VARCHAR2(1440),
    Q2100_CHAR                 VARCHAR2(1440),
    Q2101_CHAR                 VARCHAR2(1440),
    Q2102_CHAR                 VARCHAR2(1440),
    Q2103_CHAR                 VARCHAR2(1440),
    Q2104_CHAR                 VARCHAR2(1440),
    Q2105_CHAR                 VARCHAR2(1440),
    Q2106_CHAR                 VARCHAR2(1440),
    Q2107_CHAR                 VARCHAR2(1440),
    Q2108_CHAR                 VARCHAR2(1440),
    Q2109_CHAR                 VARCHAR2(1440),
    Q2110_CHAR                 VARCHAR2(1440),
    Q2111_CHAR                 VARCHAR2(1440),
    Q2112_CHAR                 VARCHAR2(1440),
    Q2113_CHAR                 VARCHAR2(1440),
    Q2114_CHAR                 VARCHAR2(1440),
    Q2115_CHAR                 VARCHAR2(1440),
    Q2116_CHAR                 VARCHAR2(1440),
    Q2117_CHAR                 VARCHAR2(1440),
    Q2118_CHAR                 VARCHAR2(1440),
    Q2119_CHAR                 VARCHAR2(1440),
    Q2120_CHAR                 VARCHAR2(1440),
    Q2101_CP                   VARCHAR2(120) ,
    Q2121_CHAR                 VARCHAR2(1440),
    Q2102_CP                   VARCHAR2(120) ,
    Q2122_CHAR                 VARCHAR2(1440),
    Q2103_CP                   VARCHAR2(120) ,
    Q2123_CHAR                 VARCHAR2(1440),
    Q2104_CP                   VARCHAR2(120) ,
    Q2124_CHAR                 VARCHAR2(1440),
    Q2105_CP                   VARCHAR2(120) ,
    Q2125_CHAR                 VARCHAR2(1440),
    Q2106_CP                   VARCHAR2(120) ,
    Q2126_CHAR                 VARCHAR2(1440),
    Q2107_CP                   VARCHAR2(120) ,
    Q2127_CHAR                 VARCHAR2(1440),
    Q2108_CP                   VARCHAR2(120) ,
    Q2128_CHAR                 VARCHAR2(1440),
    Q2109_CP                   VARCHAR2(120) ,
    Q2129_CHAR                 VARCHAR2(1440),
    Q2110_CP                   VARCHAR2(120) ,
    Q2130_CHAR                 VARCHAR2(1440),
    Q2111_CP                   VARCHAR2(120) ,
    Q2121_NUMBER               NUMBER        ,
    Q2112_CP                   VARCHAR2(120) ,
    Q2122_NUMBER               NUMBER        ,
    Q2113_CP                   VARCHAR2(120) ,
    Q2123_NUMBER               NUMBER        ,
    Q2114_CP                   VARCHAR2(120) ,
    Q2124_NUMBER               NUMBER        ,
    Q2115_CP                   VARCHAR2(120) ,
    Q2125_NUMBER               NUMBER        ,
    Q2116_CP                   VARCHAR2(120) ,
    Q2126_NUMBER               NUMBER        ,
    Q2117_CP                   VARCHAR2(120) ,
    Q2127_NUMBER               NUMBER        ,
    Q2118_CP                   VARCHAR2(120) ,
    Q2128_NUMBER               NUMBER        ,
    Q2119_CP                   VARCHAR2(120) ,
    Q2129_NUMBER               NUMBER        ,
    Q2120_CP                   VARCHAR2(120) ,
    Q2130_NUMBER               NUMBER        ,
    Q2121_CP                   VARCHAR2(120) ,
    Q2131_CHAR                 VARCHAR2(1440),
    Q2122_CP                   VARCHAR2(120) ,
    Q2132_CHAR                 VARCHAR2(1440),
    Q2123_CP                   VARCHAR2(120) ,
    Q2133_CHAR                 VARCHAR2(1440),
    Q2124_CP                   VARCHAR2(120) ,
    Q2134_CHAR                 VARCHAR2(1440),
    Q2125_CP                   VARCHAR2(120) ,
    Q2135_CHAR                 VARCHAR2(1440),
    Q2126_CP                   VARCHAR2(120) ,
    Q2136_CHAR                 VARCHAR2(1440),
    Q2127_CP                   VARCHAR2(120) ,
    Q2137_CHAR                 VARCHAR2(1440),
    Q2128_CP                   VARCHAR2(120) ,
    Q2138_CHAR                 VARCHAR2(1440),
    Q2129_CP                   VARCHAR2(120) ,
    Q2139_CHAR                 VARCHAR2(1440),
    Q2130_CP                   VARCHAR2(120) ,
    Q2140_CHAR                 VARCHAR2(1440),
    Q2131_CP                   VARCHAR2(120) ,
    Q2131_NUMBER               NUMBER        ,
    Q2132_CP                   VARCHAR2(120) ,
    Q2132_NUMBER               NUMBER        ,
    Q2133_CP                   VARCHAR2(120) ,
    Q2133_NUMBER               NUMBER        ,
    Q2134_CP                   VARCHAR2(120) ,
    Q2134_NUMBER               NUMBER        ,
    Q2135_CP                   VARCHAR2(120) ,
    Q2135_NUMBER               NUMBER        ,
    Q2136_CP                   VARCHAR2(120) ,
    Q2136_NUMBER               NUMBER        ,
    Q2137_CP                   VARCHAR2(120) ,
    Q2137_NUMBER               NUMBER        ,
    Q2138_CP                   VARCHAR2(120) ,
    Q2138_NUMBER               NUMBER        ,
    Q2139_CP                   VARCHAR2(120) ,
    Q2139_NUMBER               NUMBER        ,
    Q2140_CP                   VARCHAR2(120) ,
    Q2140_NUMBER               NUMBER        ,
    Q2141_CP                   VARCHAR2(120) ,
    Q2141_CHAR                 VARCHAR2(1440),
    Q2142_CP                   VARCHAR2(120) ,
    Q2142_CHAR                 VARCHAR2(1440),
    Q2143_CP                   VARCHAR2(120) ,
    Q2143_CHAR                 VARCHAR2(1440),
    Q2144_CP                   VARCHAR2(120) ,
    Q2144_CHAR                 VARCHAR2(1440),
    Q2145_CP                   VARCHAR2(120) ,
    Q2145_CHAR                 VARCHAR2(1440),
    Q2146_CP                   VARCHAR2(120) ,
    Q2146_CHAR                 VARCHAR2(1440),
    Q2147_CP                   VARCHAR2(120) ,
    Q2147_CHAR                 VARCHAR2(1440),
    Q2148_CP                   VARCHAR2(120) ,
    Q2148_CHAR                 VARCHAR2(1440),
    Q2149_CP                   VARCHAR2(120) ,
    Q2149_CHAR                 VARCHAR2(1440),
    Q2150_CP                   VARCHAR2(120) ,
    Q2150_CHAR                 VARCHAR2(1440),
    Q2151_CP                   VARCHAR2(120) ,
    Q2141_NUMBER               NUMBER        ,
    Q2152_CP                   VARCHAR2(120) ,
    Q2142_NUMBER               NUMBER        ,
    Q2153_CP                   VARCHAR2(120) ,
    Q2143_NUMBER               NUMBER        ,
    Q2154_CP                   VARCHAR2(120) ,
    Q2144_NUMBER               NUMBER        ,
    Q2155_CP                   VARCHAR2(120) ,
    Q2145_NUMBER               NUMBER        ,
    Q2156_CP                   VARCHAR2(120) ,
    Q2146_NUMBER               NUMBER        ,
    Q2157_CP                   VARCHAR2(120) ,
    Q2147_NUMBER               NUMBER        ,
    Q2158_CP                   VARCHAR2(120) ,
    Q2148_NUMBER               NUMBER        ,
    Q2159_CP                   VARCHAR2(120) ,
    Q2149_NUMBER               NUMBER        ,
    Q2160_CP                   VARCHAR2(120) ,
    Q2150_NUMBER               NUMBER        ,
    Q2161_CP                   VARCHAR2(120) ,
    Q2151_CHAR                 VARCHAR2(1440),
    Q2162_CP                   VARCHAR2(120) ,
    Q2152_CHAR                 VARCHAR2(1440),
    Q2163_CP                   VARCHAR2(120) ,
    Q2153_CHAR                 VARCHAR2(1440),
    Q2164_CP                   VARCHAR2(120) ,
    Q2154_CHAR                 VARCHAR2(1440),
    Q2165_CP                   VARCHAR2(120) ,
    Q2155_CHAR                 VARCHAR2(1440),
    Q2166_CP                   VARCHAR2(120) ,
    Q2156_CHAR                 VARCHAR2(1440),
    Q2167_CP                   VARCHAR2(120) ,
    Q2157_CHAR                 VARCHAR2(1440),
    Q2168_CP                   VARCHAR2(120) ,
    Q2158_CHAR                 VARCHAR2(1440),
    Q2169_CP                   VARCHAR2(120) ,
    Q2159_CHAR                 VARCHAR2(1440),
    Q2170_CP                   VARCHAR2(120) ,
    Q2160_CHAR                 VARCHAR2(1440),
    Q2171_CP                   VARCHAR2(120) ,
    Q2151_NUMBER               NUMBER        ,
    Q2172_CP                   VARCHAR2(120) ,
    Q2152_NUMBER               NUMBER        ,
    Q2173_CP                   VARCHAR2(120) ,
    Q2153_NUMBER               NUMBER        ,
    Q2174_CP                   VARCHAR2(120) ,
    Q2154_NUMBER               NUMBER        ,
    Q2175_CP                   VARCHAR2(120) ,
    Q2155_NUMBER               NUMBER        ,
    Q2176_CP                   VARCHAR2(120) ,
    Q2156_NUMBER               NUMBER        ,
    Q2177_CP                   VARCHAR2(120) ,
    Q2157_NUMBER               NUMBER        ,
    Q2178_CP                   VARCHAR2(120) ,
    Q2158_NUMBER               NUMBER        ,
    Q2179_CP                   VARCHAR2(120) ,
    Q2159_NUMBER               NUMBER        ,
    Q2180_CP                   VARCHAR2(120) ,
    Q2160_NUMBER               NUMBER        ,
    Q2181_CP                   VARCHAR2(120) ,
    Q2161_NUMBER               NUMBER        ,
    Q2182_CP                   VARCHAR2(120) ,
    Q2162_NUMBER               NUMBER        ,
    Q2183_CP                   VARCHAR2(120) ,
    Q2163_NUMBER               NUMBER        ,
    Q2184_CP                   VARCHAR2(120) ,
    Q2164_NUMBER               NUMBER        ,
    Q2185_CP                   VARCHAR2(120) ,
    Q2165_NUMBER               NUMBER        ,
    Q2186_CP                   VARCHAR2(120) ,
    Q2187_CP                   VARCHAR2(120) ,
    Q2188_CP                   VARCHAR2(120) ,
    Q2189_CP                   VARCHAR2(120) ,
    Q2190_CP                   VARCHAR2(120) ,
    Q2161_CHAR                 VARCHAR2(1440),
    Q2191_CP                   VARCHAR2(120) ,
    Q2162_CHAR                 VARCHAR2(1440),
    Q2192_CP                   VARCHAR2(120) ,
    Q2163_CHAR                 VARCHAR2(1440),
    Q2193_CP                   VARCHAR2(120) ,
    Q2164_CHAR                 VARCHAR2(1440),
    Q2194_CP                   VARCHAR2(120) ,
    Q2165_CHAR                 VARCHAR2(1440),
    Q2195_CP                   VARCHAR2(120) ,
    Q2166_CHAR                 VARCHAR2(1440),
    Q2196_CP                   VARCHAR2(120) ,
    Q2167_CHAR                 VARCHAR2(1440),
    Q2197_CP                   VARCHAR2(120) ,
    Q2168_CHAR                 VARCHAR2(1440),
    Q2198_CP                   VARCHAR2(120) ,
    Q2169_CHAR                 VARCHAR2(1440),
    Q2199_CP                   VARCHAR2(120) ,
    Q2170_CHAR                 VARCHAR2(1440),
    Q2200_CP                   VARCHAR2(120) ,
    Q2171_CHAR                 VARCHAR2(1440),
    Q2201_CP                   VARCHAR2(120) ,
    Q2172_CHAR                 VARCHAR2(1440),
    Q2202_CP                   VARCHAR2(120) ,
    Q2173_CHAR                 VARCHAR2(1440),
    Q2203_CP                   VARCHAR2(120) ,
    Q2174_CHAR                 VARCHAR2(1440),
    Q2204_CP                   VARCHAR2(120) ,
    Q2175_CHAR                 VARCHAR2(1440),
    Q2205_CP                   VARCHAR2(120) ,
    Q2176_CHAR                 VARCHAR2(1440),
    Q2206_CP                   VARCHAR2(120) ,
    Q2177_CHAR                 VARCHAR2(1440),
    Q2207_CP                   VARCHAR2(120) ,
    Q2178_CHAR                 VARCHAR2(1440),
    Q2208_CP                   VARCHAR2(120) ,
    Q2179_CHAR                 VARCHAR2(1440),
    Q2209_CP                   VARCHAR2(120) ,
    Q2180_CHAR                 VARCHAR2(1440),
    Q2210_CP                   VARCHAR2(120) ,
    Q2181_CHAR                 VARCHAR2(1440),
    Q2211_CP                   VARCHAR2(120) ,
    Q2182_CHAR                 VARCHAR2(1440),
    Q2212_CP                   VARCHAR2(120) ,
    Q2183_CHAR                 VARCHAR2(1440),
    Q2213_CP                   VARCHAR2(120) ,
    Q2184_CHAR                 VARCHAR2(1440),
    Q2214_CP                   VARCHAR2(120) ,
    Q2185_CHAR                 VARCHAR2(1440),
    Q2215_CP                   VARCHAR2(120) ,
    Q2186_CHAR                 VARCHAR2(1440),
    Q2216_CP                   VARCHAR2(120) ,
    Q2187_CHAR                 VARCHAR2(1440),
    Q2217_CP                   VARCHAR2(120) ,
    Q2188_CHAR                 VARCHAR2(1440),
    Q2218_CP                   VARCHAR2(120) ,
    Q2189_CHAR                 VARCHAR2(1440),
    Q2219_CP                   VARCHAR2(120) ,
    Q2190_CHAR                 VARCHAR2(1440),
    Q2220_CP                   VARCHAR2(120) ,
    Q2191_CHAR                 VARCHAR2(1440),
    Q2221_CP                   VARCHAR2(120) ,
    Q2192_CHAR                 VARCHAR2(1440),
    Q2222_CP                   VARCHAR2(120) ,
    Q2193_CHAR                 VARCHAR2(1440),
    Q2223_CP                   VARCHAR2(120) ,
    Q2194_CHAR                 VARCHAR2(1440),
    Q2224_CP                   VARCHAR2(120) ,
    Q2195_CHAR                 VARCHAR2(1440),
    Q2225_CP                   VARCHAR2(120) ,
    Q2196_CHAR                 VARCHAR2(1440),
    Q2226_CP                   VARCHAR2(120) ,
    Q2197_CHAR                 VARCHAR2(1440),
    Q2227_CP                   VARCHAR2(120) ,
    Q2198_CHAR                 VARCHAR2(1440),
    Q2228_CP                   VARCHAR2(120) ,
    Q2199_CHAR                 VARCHAR2(1440),
    Q2229_CP                   VARCHAR2(120) ,
    Q2200_CHAR                 VARCHAR2(1440),
    Q2230_CP                   VARCHAR2(120) ,
    Q2201_CHAR                 VARCHAR2(1440),
    Q2231_CP                   VARCHAR2(120) ,
    Q2202_CHAR                 VARCHAR2(1440),
    Q2232_CP                   VARCHAR2(120) ,
    Q2203_CHAR                 VARCHAR2(1440),
    Q2233_CP                   VARCHAR2(120) ,
    Q2204_CHAR                 VARCHAR2(1440),
    Q2234_CP                   VARCHAR2(120) ,
    Q2205_CHAR                 VARCHAR2(1440),
    Q2235_CP                   VARCHAR2(120) ,
    Q2206_CHAR                 VARCHAR2(1440),
    Q2236_CP                   VARCHAR2(120) ,
    Q2207_CHAR                 VARCHAR2(1440),
    Q2237_CP                   VARCHAR2(120) ,
    Q2208_CHAR                 VARCHAR2(1440),
    Q2238_CP                   VARCHAR2(120) ,
    Q2209_CHAR                 VARCHAR2(1440),
    Q2239_CP                   VARCHAR2(120) ,
    Q2210_CHAR                 VARCHAR2(1440),
    Q2240_CP                   VARCHAR2(120) ,
    Q2211_CHAR                 VARCHAR2(1440),
    Q2241_CP                   VARCHAR2(120) ,
    Q2212_CHAR                 VARCHAR2(1440),
    Q2242_CP                   VARCHAR2(120) ,
    Q2213_CHAR                 VARCHAR2(1440),
    Q2243_CP                   VARCHAR2(120) ,
    Q2214_CHAR                 VARCHAR2(1440),
    Q2244_CP                   VARCHAR2(120) ,
    Q2215_CHAR                 VARCHAR2(1440),
    Q2245_CP                   VARCHAR2(120) ,
    Q2216_CHAR                 VARCHAR2(1440),
    Q2246_CP                   VARCHAR2(120) ,
    Q2217_CHAR                 VARCHAR2(1440),
    Q2247_CP                   VARCHAR2(120) ,
    Q2218_CHAR                 VARCHAR2(1440),
    Q2248_CP                   VARCHAR2(120) ,
    Q2219_CHAR                 VARCHAR2(1440),
    Q2249_CP                   VARCHAR2(120) ,
    Q2220_CHAR                 VARCHAR2(1440),
    Q2250_CP                   VARCHAR2(120) ,
    Q2221_CHAR                 VARCHAR2(1440),
    Q2251_CP                   VARCHAR2(120) ,
    Q2222_CHAR                 VARCHAR2(1440),
    Q2252_CP                   VARCHAR2(120) ,
    Q2223_CHAR                 VARCHAR2(1440),
    Q2253_CP                   VARCHAR2(120) ,
    Q2224_CHAR                 VARCHAR2(1440),
    Q2254_CP                   VARCHAR2(120) ,
    Q2225_CHAR                 VARCHAR2(1440),
    Q2255_CP                   VARCHAR2(120) ,
    Q2226_CHAR                 VARCHAR2(1440),
    Q2256_CP                   VARCHAR2(120) ,
    Q2227_CHAR                 VARCHAR2(1440),
    Q2257_CP                   VARCHAR2(120) ,
    Q2228_CHAR                 VARCHAR2(1440),
    Q2258_CP                   VARCHAR2(120) ,
    Q2229_CHAR                 VARCHAR2(1440),
    Q2259_CP                   VARCHAR2(120) ,
    Q2230_CHAR                 VARCHAR2(1440),
    Q2260_CP                   VARCHAR2(120) ,
    Q2231_CHAR                 VARCHAR2(1440),
    Q2261_CP                   VARCHAR2(120) ,
    Q2232_CHAR                 VARCHAR2(1440),
    Q2262_CP                   VARCHAR2(120) ,
    Q2233_CHAR                 VARCHAR2(1440),
    Q2263_CP                   VARCHAR2(120) ,
    Q2234_CHAR                 VARCHAR2(1440),
    Q2264_CP                   VARCHAR2(120) ,
    Q2235_CHAR                 VARCHAR2(1440),
    Q2265_CP                   VARCHAR2(120) ,
    Q2236_CHAR                 VARCHAR2(1440),
    Q2266_CP                   VARCHAR2(120) ,
    Q2237_CHAR                 VARCHAR2(1440),
    Q2267_CP                   VARCHAR2(120) ,
    Q2238_CHAR                 VARCHAR2(1440),
    Q2268_CP                   VARCHAR2(120) ,
    Q2239_CHAR                 VARCHAR2(1440),
    Q2269_CP                   VARCHAR2(120) ,
    Q2240_CHAR                 VARCHAR2(1440),
    Q2270_CP                   VARCHAR2(120) ,
    Q2241_CHAR                 VARCHAR2(1440),
    Q2271_CP                   VARCHAR2(120) ,
    Q2242_CHAR                 VARCHAR2(1440),
    Q2272_CP                   VARCHAR2(120) ,
    Q2243_CHAR                 VARCHAR2(1440),
    Q2273_CP                   VARCHAR2(120) ,
    Q2244_CHAR                 VARCHAR2(1440),
    Q2274_CP                   VARCHAR2(120) ,
    Q2245_CHAR                 VARCHAR2(1440),
    Q2275_CP                   VARCHAR2(120) ,
    Q2246_CHAR                 VARCHAR2(1440),
    Q2276_CP                   VARCHAR2(120) ,
    Q2247_CHAR                 VARCHAR2(1440),
    Q2277_CP                   VARCHAR2(120) ,
    Q2248_CHAR                 VARCHAR2(1440),
    Q2278_CP                   VARCHAR2(120) ,
    Q2249_CHAR                 VARCHAR2(1440),
    Q2279_CP                   VARCHAR2(120) ,
    Q2250_CHAR                 VARCHAR2(1440),
    Q2280_CP                   VARCHAR2(120) ,
    Q2251_CHAR                 VARCHAR2(1440),
    Q2281_CP                   VARCHAR2(120) ,
    Q2252_CHAR                 VARCHAR2(1440),
    Q2282_CP                   VARCHAR2(120) ,
    Q2253_CHAR                 VARCHAR2(1440),
    Q2283_CP                   VARCHAR2(120) ,
    Q2254_CHAR                 VARCHAR2(1440),
    Q2284_CP                   VARCHAR2(120) ,
    Q2255_CHAR                 VARCHAR2(1440),
    Q2285_CP                   VARCHAR2(120) ,
    Q2256_CHAR                 VARCHAR2(1440),
    Q2286_CP                   VARCHAR2(120) ,
    Q2257_CHAR                 VARCHAR2(1440),
    Q2287_CP                   VARCHAR2(120) ,
    Q2258_CHAR                 VARCHAR2(1440),
    Q2288_CP                   VARCHAR2(120) ,
    Q2259_CHAR                 VARCHAR2(1440),
    Q2289_CP                   VARCHAR2(120) ,
    Q2260_CHAR                 VARCHAR2(1440),
    Q2290_CP                   VARCHAR2(120) ,
    Q2261_CHAR                 VARCHAR2(1440),
    Q2291_CP                   VARCHAR2(120) ,
    Q2262_CHAR                 VARCHAR2(1440),
    Q2292_CP                   VARCHAR2(120) ,
    Q2263_CHAR                 VARCHAR2(1440),
    Q2293_CP                   VARCHAR2(120) ,
    Q2264_CHAR                 VARCHAR2(1440),
    Q2294_CP                   VARCHAR2(120) ,
    Q2265_CHAR                 VARCHAR2(1440),
    Q2295_CP                   VARCHAR2(120) ,
    Q2266_CHAR                 VARCHAR2(1440),
    Q2296_CP                   VARCHAR2(120) ,
    Q2267_CHAR                 VARCHAR2(1440),
    Q2297_CP                   VARCHAR2(120) ,
    Q2268_CHAR                 VARCHAR2(1440),
    Q2298_CP                   VARCHAR2(120) ,
    Q2269_CHAR                 VARCHAR2(1440),
    Q2299_CP                   VARCHAR2(120) ,
    Q2270_CHAR                 VARCHAR2(1440),
    Q2300_CP                   VARCHAR2(120) ,
    Q2271_CHAR                 VARCHAR2(1440),
    Q2301_CP                   VARCHAR2(120) ,
    Q2272_CHAR                 VARCHAR2(1440),
    Q2302_CP                   VARCHAR2(120) ,
    Q2273_CHAR                 VARCHAR2(1440),
    Q2303_CP                   VARCHAR2(120) ,
    Q2274_CHAR                 VARCHAR2(1440),
    Q2304_CP                   VARCHAR2(120) ,
    Q2275_CHAR                 VARCHAR2(1440),
    Q2305_CP                   VARCHAR2(120) ,
    Q2276_CHAR                 VARCHAR2(1440),
    Q2306_CP                   VARCHAR2(120) ,
    Q2277_CHAR                 VARCHAR2(1440),
    Q2307_CP                   VARCHAR2(120) ,
    Q2278_CHAR                 VARCHAR2(1440),
    Q2308_CP                   VARCHAR2(120) ,
    Q2279_CHAR                 VARCHAR2(1440),
    Q2309_CP                   VARCHAR2(120) ,
    Q2280_CHAR                 VARCHAR2(1440),
    Q2310_CP                   VARCHAR2(120) ,
    Q2281_CHAR                 VARCHAR2(1440),
    Q2311_CP                   VARCHAR2(120) ,
    Q2282_CHAR                 VARCHAR2(1440),
    Q2312_CP                   VARCHAR2(120) ,
    Q2283_CHAR                 VARCHAR2(1440),
    Q2313_CP                   VARCHAR2(120) ,
    Q2284_CHAR                 VARCHAR2(1440),
    Q2314_CP                   VARCHAR2(120) ,
    Q2285_CHAR                 VARCHAR2(1440),
    Q2315_CP                   VARCHAR2(120) ,
    Q2286_CHAR                 VARCHAR2(1440),
    Q2316_CP                   VARCHAR2(120) ,
    Q2287_CHAR                 VARCHAR2(1440),
    Q2317_CP                   VARCHAR2(120) ,
    Q2288_CHAR                 VARCHAR2(1440),
    Q2318_CP                   VARCHAR2(120) ,
    Q2289_CHAR                 VARCHAR2(1440),
    Q2319_CP                   VARCHAR2(120) ,
    Q2290_CHAR                 VARCHAR2(1440),
    Q2320_CP                   VARCHAR2(120) ,
    Q2166_NUMBER               NUMBER        ,
    Q2321_CP                   VARCHAR2(120) ,
    Q2167_NUMBER               NUMBER        ,
    Q2322_CP                   VARCHAR2(120) ,
    Q2168_NUMBER               NUMBER        ,
    Q2323_CP                   VARCHAR2(120) ,
    Q2169_NUMBER               NUMBER        ,
    Q2324_CP                   VARCHAR2(120) ,
    Q2170_NUMBER               NUMBER        ,
    Q2325_CP                   VARCHAR2(120) ,
    Q2291_CHAR                 VARCHAR2(1440),
    Q2292_CHAR                 VARCHAR2(1440),
    Q2293_CHAR                 VARCHAR2(1440),
    Q2294_CHAR                 VARCHAR2(1440),
    Q2295_CHAR                 VARCHAR2(1440),
    Q2296_CHAR                 VARCHAR2(1440),
    Q2297_CHAR                 VARCHAR2(1440),
    Q2298_CHAR                 VARCHAR2(1440),
    Q2299_CHAR                 VARCHAR2(1440),
    Q2300_CHAR                 VARCHAR2(1440),
    Q2301_CHAR                 VARCHAR2(1440),
    Q2302_CHAR                 VARCHAR2(1440),
    Q2303_CHAR                 VARCHAR2(1440),
    Q2304_CHAR                 VARCHAR2(1440),
    Q2305_CHAR                 VARCHAR2(1440),
    Q2306_CHAR                 VARCHAR2(1440),
    Q2307_CHAR                 VARCHAR2(1440),
    Q2308_CHAR                 VARCHAR2(1440),
    Q2309_CHAR                 VARCHAR2(1440),
    Q2310_CHAR                 VARCHAR2(1440),
    Q2311_CHAR                 VARCHAR2(1440),
    Q2312_CHAR                 VARCHAR2(1440),
    Q2313_CHAR                 VARCHAR2(1440),
    Q2314_CHAR                 VARCHAR2(1440),
    Q2315_CHAR                 VARCHAR2(1440),
    Q2316_CHAR                 VARCHAR2(1440),
    Q2317_CHAR                 VARCHAR2(1440),
    Q2318_CHAR                 VARCHAR2(1440),
    Q2319_CHAR                 VARCHAR2(1440),
    Q2320_CHAR                 VARCHAR2(1440),
    Q2321_CHAR                 VARCHAR2(1440),
    Q2322_CHAR                 VARCHAR2(1440),
    Q2323_CHAR                 VARCHAR2(1440),
    Q2324_CHAR                 VARCHAR2(1440),
    Q2325_CHAR                 VARCHAR2(1440),
    Q2326_CHAR                 VARCHAR2(1440),
    Q2327_CHAR                 VARCHAR2(1440),
    Q2328_CHAR                 VARCHAR2(1440),
    Q2329_CHAR                 VARCHAR2(1440),
    Q2330_CHAR                 VARCHAR2(1440),
    Q2331_CHAR                 VARCHAR2(1440),
    Q2332_CHAR                 VARCHAR2(1440),
    Q2333_CHAR                 VARCHAR2(1440),
    Q2334_CHAR                 VARCHAR2(1440),
    Q2335_CHAR                 VARCHAR2(1440),
    Q2336_CHAR                 VARCHAR2(1440),
    Q2337_CHAR                 VARCHAR2(1440),
    Q2338_CHAR                 VARCHAR2(1440),
    Q2339_CHAR                 VARCHAR2(1440),
    Q2340_CHAR                 VARCHAR2(1440),
    Q2341_CHAR                 VARCHAR2(1440),
    Q2342_CHAR                 VARCHAR2(1440),
    Q2343_CHAR                 VARCHAR2(1440),
    Q2344_CHAR                 VARCHAR2(1440),
    Q2345_CHAR                 VARCHAR2(1440),
    DNM_ATTR_VALUE_ID          NUMBER            NOT NULL,
    RULE_ID                    NUMBER        ,
    START_DATE                 DATE          ,
    END_DATE                   DATE          ,
    ABSOLUTE_RANK              NUMBER        ,
    TOP_LEVEL_RULE_ID          NUMBER        ,
    NUM_WINNERS                NUMBER        ,
    ATTR_RELATION_PRODUCT      NUMBER        ,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    REQUEST_ID                 NUMBER(18, 0) ,
    JOB_DEFINITION_NAME        VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE     VARCHAR2(3600),
    DUMMY1                     VARCHAR2(1440),
    DUMMY2                     VARCHAR2(1440),
    DUMMY3                     VARCHAR2(1440),
    DUMMY4                     VARCHAR2(1440),
    DUMMY5                     VARCHAR2(1440),
    DUMMY6                     VARCHAR2(1440),
    DUMMY7                     VARCHAR2(1440),
    DUMMY8                     VARCHAR2(1440),
    DUMMY9                     VARCHAR2(1440),
    DUMMY10                    VARCHAR2(1440),
    DUMMY11                    VARCHAR2(1440),
    DUMMY12                    VARCHAR2(1440),
    DUMMY13                    VARCHAR2(1440),
    DUMMY14                    VARCHAR2(1440),
    Q1101_CP                   VARCHAR2(120) ,
    Q1101_LOW_VALUE_CHAR       VARCHAR2(1440),
    Q1102_CP                   VARCHAR2(120) ,
    Q1102_LOW_VALUE_CHAR       VARCHAR2(1440),
    Q1103_CP                   VARCHAR2(120) ,
    Q1103_LOW_VALUE_CHAR       VARCHAR2(1440),
    Q1104_CP                   VARCHAR2(120) ,
    Q1104_LOW_VALUE_CHAR       VARCHAR2(1440),
    Q1105_CP                   VARCHAR2(120) ,
    Q1105_LOW_VALUE_CHAR_ID    NUMBER        ,
    Q1106_CP                   VARCHAR2(120) ,
    Q1106_LOW_VALUE_CHAR       VARCHAR2(1440),
    Q1106_HIGH_VALUE_CHAR      VARCHAR2(1440),
    Q1106_FIRST_CHAR           VARCHAR2(12)  ,
    Q1107_CP                   VARCHAR2(120) ,
    Q1107_LOW_VALUE_CHAR       VARCHAR2(1440),
    Q1107_HIGH_VALUE_CHAR      VARCHAR2(1440),
    Q1109_CP                   VARCHAR2(120) ,
    Q1109_LOW_VALUE_CHAR       VARCHAR2(1440),
    Q1110_CP                   VARCHAR2(120) ,
    Q1110_LOW_VALUE_CHAR_ID    NUMBER        ,
    Q1111_CP                   VARCHAR2(120) ,
    Q1111_LOW_VALUE_CHAR       VARCHAR2(1440),
    Q1112_CP                   VARCHAR2(120) ,
    Q1112_LOW_VALUE_CHAR       VARCHAR2(1440),
    Q1114_CP                   VARCHAR2(120) ,
    Q1114_LOW_VALUE_CHAR       VARCHAR2(1440),
    Q1115_CP                   VARCHAR2(120) ,
    Q1115_LOW_VALUE_CHAR       VARCHAR2(1440),
    Q1115_HIGH_VALUE_CHAR      VARCHAR2(1440),
    Q1116_CP                   VARCHAR2(120) ,
    Q1116_LOW_VALUE_CHAR_ID    NUMBER        ,
    Q1118_CP                   VARCHAR2(120) ,
    Q1118_LOW_VALUE_CHAR       VARCHAR2(1440),
    Q1120_CP                   VARCHAR2(120) ,
    Q1120_LOW_VALUE_CHAR_ID    NUMBER        ,
    Q1121_CP                   VARCHAR2(120) ,
    Q1121_LOW_VALUE_NUMBER     NUMBER        ,
    Q1121_HIGH_VALUE_NUMBER    NUMBER        ,
    Q1122_CP                   VARCHAR2(120) ,
    Q1122_LOW_VALUE_NUMBER     NUMBER        ,
    Q1122_HIGH_VALUE_NUMBER    NUMBER        ,
    Q1123_CP                   VARCHAR2(120) ,
    Q1123_LOW_VALUE_CHAR_ID    NUMBER        ,
    Q1124_CP                   VARCHAR2(120) ,
    Q1124_LOW_VALUE_CHAR_ID    NUMBER        ,
    Q1125_CP                   VARCHAR2(120) ,
    Q1125_LOW_VALUE_CHAR_ID    NUMBER        ,
    Q2001_CP                   VARCHAR2(120) ,
    Q2002_CP                   VARCHAR2(120) ,
    Q2003_CP                   VARCHAR2(120) ,
    Q2004_CP                   VARCHAR2(120) ,
    Q2005_CP                   VARCHAR2(120) ,
    Q2006_CP                   VARCHAR2(120) ,
    Q2007_CP                   VARCHAR2(120) ,
    Q2008_CP                   VARCHAR2(120) ,
    Q2009_CP                   VARCHAR2(120) ,
    Q2010_CP                   VARCHAR2(120) ,
    Q2011_CP                   VARCHAR2(120) ,
    Q2012_CP                   VARCHAR2(120) ,
    Q2001_NUMBER               NUMBER        ,
    Q2002_NUMBER               NUMBER        ,
    Q2003_NUMBER               NUMBER        ,
    Q2004_NUMBER               NUMBER        ,
    Q2005_NUMBER               NUMBER        ,
    Q2006_NUMBER               NUMBER        ,
    Q2007_NUMBER               NUMBER        ,
    Q2008_NUMBER               NUMBER        ,
    Q2009_NUMBER               NUMBER        ,
    Q2010_NUMBER               NUMBER        ,
    Q2011_NUMBER               NUMBER        ,
    Q2012_NUMBER               NUMBER        ,
    Q2013_NUMBER               NUMBER        ,
    Q2014_NUMBER               NUMBER        ,
    Q2015_NUMBER               NUMBER        ,
    Q2001_CHAR                 VARCHAR2(1440),
    Q2002_CHAR                 VARCHAR2(1440),
    Q2003_CHAR                 VARCHAR2(1440),
    Q2004_CHAR                 VARCHAR2(1440),
    Q2005_CHAR                 VARCHAR2(1440),
    Q2006_CHAR                 VARCHAR2(1440),
    Q2007_CHAR                 VARCHAR2(1440),
    Q2008_CHAR                 VARCHAR2(1440),
    Q2009_CHAR                 VARCHAR2(1440),
    Q2010_CHAR                 VARCHAR2(1440),
    Q2011_CHAR                 VARCHAR2(1440),
    Q2012_CHAR                 VARCHAR2(1440),
    Q2013_CHAR                 VARCHAR2(1440),
    Q2014_CHAR                 VARCHAR2(1440),
    Q2015_CHAR                 VARCHAR2(1440),
    Q2013_CP                   VARCHAR2(120) ,
    Q2014_CP                   VARCHAR2(120) ,
    Q2015_CP                   VARCHAR2(120) ,
    Q2016_CP                   VARCHAR2(120) ,
    Q2017_CP                   VARCHAR2(120) ,
    Q2018_CP                   VARCHAR2(120) ,
    Q2019_CP                   VARCHAR2(120) ,
    Q2020_CP                   VARCHAR2(120) ,
    Q2021_CP                   VARCHAR2(120) ,
    Q2022_CP                   VARCHAR2(120) ,
    Q2023_CP                   VARCHAR2(120) ,
    Q2024_CP                   VARCHAR2(120) ,
    Q2016_NUMBER               NUMBER        ,
    Q2017_NUMBER               NUMBER        ,
    Q2018_NUMBER               NUMBER        ,
    Q2019_NUMBER               NUMBER        ,
    Q2020_NUMBER               NUMBER        ,
    Q2021_NUMBER               NUMBER        ,
    Q2022_NUMBER               NUMBER        ,
    Q2023_NUMBER               NUMBER        ,
    Q2024_NUMBER               NUMBER        ,
    Q2025_NUMBER               NUMBER        ,
    Q2026_NUMBER               NUMBER        ,
    Q2027_NUMBER               NUMBER        ,
    Q2028_NUMBER               NUMBER        ,
    Q2029_NUMBER               NUMBER        ,
    Q2030_NUMBER               NUMBER        ,
    Q2016_CHAR                 VARCHAR2(1440),
    Q2017_CHAR                 VARCHAR2(1440),
    Q2018_CHAR                 VARCHAR2(1440),
    Q2019_CHAR                 VARCHAR2(1440),
    Q2020_CHAR                 VARCHAR2(1440),
    Q2021_CHAR                 VARCHAR2(1440),
    Q2022_CHAR                 VARCHAR2(1440),
    Q2023_CHAR                 VARCHAR2(1440),
    Q2024_CHAR                 VARCHAR2(1440),
    Q2025_CHAR                 VARCHAR2(1440),
    Q2026_CHAR                 VARCHAR2(1440),
    Q2027_CHAR                 VARCHAR2(1440),
    Q2028_CHAR                 VARCHAR2(1440),
    Q2029_CHAR                 VARCHAR2(1440),
    Q2030_CHAR                 VARCHAR2(1440),
    Q2025_CP                   VARCHAR2(120) ,
    Q2026_CP                   VARCHAR2(120) ,
    Q2027_CP                   VARCHAR2(120) ,
    Q2028_CP                   VARCHAR2(120) ,
    Q2029_CP                   VARCHAR2(120) ,
    Q2030_CP                   VARCHAR2(120) ,
    Q2031_CP                   VARCHAR2(120) ,
    Q2032_CP                   VARCHAR2(120) ,
    Q2033_CP                   VARCHAR2(120) ,
    Q2034_CP                   VARCHAR2(120) ,
    Q2035_CP                   VARCHAR2(120) ,
    Q2036_CP                   VARCHAR2(120) ,
    Q2031_NUMBER               NUMBER        ,
    Q2032_NUMBER               NUMBER        ,
    Q2033_NUMBER               NUMBER        ,
    Q2034_NUMBER               NUMBER        ,
    Q2035_NUMBER               NUMBER        ,
    Q2036_NUMBER               NUMBER        ,
    Q2037_NUMBER               NUMBER        ,
    Q2038_NUMBER               NUMBER        ,
    Q2039_NUMBER               NUMBER        ,
    Q2040_NUMBER               NUMBER        ,
    Q2041_NUMBER               NUMBER        ,
    Q2042_NUMBER               NUMBER        ,
    Q2043_NUMBER               NUMBER        ,
    Q2044_NUMBER               NUMBER        ,
    Q2045_NUMBER               NUMBER        ,
    Q2031_CHAR                 VARCHAR2(1440),
    Q2032_CHAR                 VARCHAR2(1440),
    Q2033_CHAR                 VARCHAR2(1440),
    Q2034_CHAR                 VARCHAR2(1440),
    Q2035_CHAR                 VARCHAR2(1440),
    Q2036_CHAR                 VARCHAR2(1440),
    Q2037_CHAR                 VARCHAR2(1440),
    Q2038_CHAR                 VARCHAR2(1440),
    Q2039_CHAR                 VARCHAR2(1440),
    Q2040_CHAR                 VARCHAR2(1440),
    Q2041_CHAR                 VARCHAR2(1440),
    Q2042_CHAR                 VARCHAR2(1440),
    Q2043_CHAR                 VARCHAR2(1440),
    Q2044_CHAR                 VARCHAR2(1440),
    Q2045_CHAR                 VARCHAR2(1440),
    Q2037_CP                   VARCHAR2(120) ,
    Q2038_CP                   VARCHAR2(120) ,
    Q2039_CP                   VARCHAR2(120) ,
    Q2040_CP                   VARCHAR2(120) ,
    Q2041_CP                   VARCHAR2(120) ,
    Q2042_CP                   VARCHAR2(120) ,
    Q2043_CP                   VARCHAR2(120) ,
    Q2044_CP                   VARCHAR2(120) ,
    Q2045_CP                   VARCHAR2(120) ,
    Q2046_CP                   VARCHAR2(120) ,
    Q2047_CP                   VARCHAR2(120) ,
    Q2048_CP                   VARCHAR2(120) ,
    Q2049_CP                   VARCHAR2(120) ,
    Q2050_CP                   VARCHAR2(120) ,
    Q2046_NUMBER               NUMBER        ,
    Q2047_NUMBER               NUMBER        ,
    Q2048_NUMBER               NUMBER        ,
    Q2049_NUMBER               NUMBER        ,
    Q2050_NUMBER               NUMBER        ,
    Q2051_NUMBER               NUMBER        ,
    Q2052_NUMBER               NUMBER        ,
    Q2053_NUMBER               NUMBER        ,
    Q2054_NUMBER               NUMBER        ,
    Q2055_NUMBER               NUMBER        ,
    Q2056_NUMBER               NUMBER        ,
    Q2057_NUMBER               NUMBER        ,
    Q2058_NUMBER               NUMBER        ,
    Q2059_NUMBER               NUMBER        ,
    Q2060_NUMBER               NUMBER        ,
    Q2046_CHAR                 VARCHAR2(1440),
    Q2047_CHAR                 VARCHAR2(1440),
    Q2048_CHAR                 VARCHAR2(1440),
    Q2049_CHAR                 VARCHAR2(1440),
    Q2050_CHAR                 VARCHAR2(1440),
    Q2051_CHAR                 VARCHAR2(1440),
    Q2052_CHAR                 VARCHAR2(1440),
    Q2053_CHAR                 VARCHAR2(1440),
    Q2054_CHAR                 VARCHAR2(1440),
    Q2055_CHAR                 VARCHAR2(1440),
    Q2056_CHAR                 VARCHAR2(1440),
    Q2057_CHAR                 VARCHAR2(1440),
    Q2058_CHAR                 VARCHAR2(1440),
    Q2059_CHAR                 VARCHAR2(1440),
    Q2060_CHAR                 VARCHAR2(1440),
    Q2051_CP                   VARCHAR2(120) ,
    Q2052_CP                   VARCHAR2(120) ,
    Q2053_CP                   VARCHAR2(120) ,
    Q2054_CP                   VARCHAR2(120) ,
    Q2055_CP                   VARCHAR2(120) ,
    Q2056_CP                   VARCHAR2(120) ,
    Q2057_CP                   VARCHAR2(120) ,
    Q2058_CP                   VARCHAR2(120) ,
    Q2059_CP                   VARCHAR2(120) ,
    Q2060_CP                   VARCHAR2(120) ,
    Q2061_CP                   VARCHAR2(120) ,
    Q2062_CP                   VARCHAR2(120) ,
    Q2063_CP                   VARCHAR2(120) ,
    Q2064_CP                   VARCHAR2(120) ,
    Q2065_CP                   VARCHAR2(120) ,
    Q2066_CP                   VARCHAR2(120) ,
    Q2067_CP                   VARCHAR2(120) ,
    Q2068_CP                   VARCHAR2(120) ,
    Q2069_CP                   VARCHAR2(120) ,
    Q2070_CP                   VARCHAR2(120) ,
    Q2071_CP                   VARCHAR2(120) ,
    Q2072_CP                   VARCHAR2(120) ,
    Q2073_CP                   VARCHAR2(120) ,
    Q2074_CP                   VARCHAR2(120) ,
    Q2075_CP                   VARCHAR2(120) ,
    Q2076_CP                   VARCHAR2(120) ,
    Q2077_CP                   VARCHAR2(120) ,
    Q2078_CP                   VARCHAR2(120) ,
    Q2079_CP                   VARCHAR2(120) ,
    Q2080_CP                   VARCHAR2(120) ,
    Q2081_CP                   VARCHAR2(120) ,
    Q2082_CP                   VARCHAR2(120) ,
    Q2083_CP                   VARCHAR2(120) ,
    Q2084_CP                   VARCHAR2(120) ,
    Q2085_CP                   VARCHAR2(120) ,
    Q2086_CP                   VARCHAR2(120) ,
    Q2087_CP                   VARCHAR2(120) ,
    Q2088_CP                   VARCHAR2(120) ,
    Q2089_CP                   VARCHAR2(120) ,
    Q2090_CP                   VARCHAR2(120) ,
    Q2091_CP                   VARCHAR2(120) ,
    Q2092_CP                   VARCHAR2(120) ,
    Q2093_CP                   VARCHAR2(120) ,
    Q2094_CP                   VARCHAR2(120) ,
    Q2095_CP                   VARCHAR2(120) ,
    Q2096_CP                   VARCHAR2(120) ,
    Q2097_CP                   VARCHAR2(120) ,
    Q2098_CP                   VARCHAR2(120) ,
    Q2099_CP                   VARCHAR2(120) ,
    Q2100_CP                   VARCHAR2(120) ,
    Q2061_NUMBER               NUMBER        ,
    Q2062_NUMBER               NUMBER        ,
    Q2063_NUMBER               NUMBER        ,
    Q2064_NUMBER               NUMBER        ,
    Q2065_NUMBER               NUMBER        ,
    Q2066_NUMBER               NUMBER        ,
    Q2067_NUMBER               NUMBER        ,
    Q2068_NUMBER               NUMBER        ,
    Q2069_NUMBER               NUMBER        ,
    Q2070_NUMBER               NUMBER        ,
    Q2071_NUMBER               NUMBER        ,
    Q2072_NUMBER               NUMBER        ,
    Q2073_NUMBER               NUMBER        ,
    Q2074_NUMBER               NUMBER        ,
    Q2075_NUMBER               NUMBER        ,
    Q2076_NUMBER               NUMBER        ,
    Q2077_NUMBER               NUMBER        ,
    Q2078_NUMBER               NUMBER        ,
    Q2079_NUMBER               NUMBER        ,
    Q2080_NUMBER               NUMBER        ,
    Q2081_NUMBER               NUMBER        ,
    Q2082_NUMBER               NUMBER        ,
    Q2083_NUMBER               NUMBER        ,
    Q2084_NUMBER               NUMBER        ,
    Q2085_NUMBER               NUMBER        ,
    Q2086_NUMBER               NUMBER        ,
    Q2087_NUMBER               NUMBER        ,
    Q2088_NUMBER               NUMBER        ,
    Q2089_NUMBER               NUMBER        ,
    Q2090_NUMBER               NUMBER        ,
    Q2091_NUMBER               NUMBER        ,
    Q2092_NUMBER               NUMBER        ,
    Q2093_NUMBER               NUMBER        ,
    Q2094_NUMBER               NUMBER        ,
    Q2095_NUMBER               NUMBER        ,
    Q2096_NUMBER               NUMBER        ,
    Q2097_NUMBER               NUMBER        ,
    Q2098_NUMBER               NUMBER        ,
    Q2099_NUMBER               NUMBER        ,
    Q2100_NUMBER               NUMBER        ,
    Q2101_NUMBER               NUMBER        ,
    Q2102_NUMBER               NUMBER        ,
    Q2103_NUMBER               NUMBER        ,
    Q2104_NUMBER               NUMBER        ,
    Q2105_NUMBER               NUMBER        ,
    Q2106_NUMBER               NUMBER        ,
    Q2107_NUMBER               NUMBER        ,
    Q2108_NUMBER               NUMBER        ,
    Q2109_NUMBER               NUMBER        ,
    Q2110_NUMBER               NUMBER        ,
    Q2111_NUMBER               NUMBER        ,
    Q2112_NUMBER               NUMBER        ,
    Q2113_NUMBER               NUMBER        ,
    Q2114_NUMBER               NUMBER        ,
    Q2115_NUMBER               NUMBER        ,
    Q2116_NUMBER               NUMBER        ,
    Q2117_NUMBER               NUMBER        ,
    Q2118_NUMBER               NUMBER        ,
    Q2119_NUMBER               NUMBER        ,
    Q2120_NUMBER               NUMBER        ,
    Q2061_CHAR                 VARCHAR2(1440),
    Q2062_CHAR                 VARCHAR2(1440),
    Q2063_CHAR                 VARCHAR2(1440),
    Q2064_CHAR                 VARCHAR2(1440),
    Q2065_CHAR                 VARCHAR2(1440),
    Q2066_CHAR                 VARCHAR2(1440),
    Q2067_CHAR                 VARCHAR2(1440),
    Q2068_CHAR                 VARCHAR2(1440),
    Q2069_CHAR                 VARCHAR2(1440),
    Q2070_CHAR                 VARCHAR2(1440),
    Q2071_CHAR                 VARCHAR2(1440),
    Q2072_CHAR                 VARCHAR2(1440),
    Q2073_CHAR                 VARCHAR2(1440),
    Q2074_CHAR                 VARCHAR2(1440),
    Q2075_CHAR                 VARCHAR2(1440),
    Q2076_CHAR                 VARCHAR2(1440),
    Q2077_CHAR                 VARCHAR2(1440),
    Q2078_CHAR                 VARCHAR2(1440),
    Q2079_CHAR                 VARCHAR2(1440),
    Q2080_CHAR                 VARCHAR2(1440),
    Q2081_CHAR                 VARCHAR2(1440),
    Q2082_CHAR                 VARCHAR2(1440),
    Q2083_CHAR                 VARCHAR2(1440),
    Q2084_CHAR                 VARCHAR2(1440),
    Q2085_CHAR                 VARCHAR2(1440),
    Q2086_CHAR                 VARCHAR2(1440),
    Q2087_CHAR                 VARCHAR2(1440),
    Q2088_CHAR                 VARCHAR2(1440),
    Q2089_CHAR                 VARCHAR2(1440),
    Q2090_CHAR                 VARCHAR2(1440),
    Q2091_CHAR                 VARCHAR2(1440),
    Q2092_CHAR                 VARCHAR2(1440),
    Q2093_CHAR                 VARCHAR2(1440),
    Q2094_CHAR                 VARCHAR2(1440),
    Q2095_CHAR                 VARCHAR2(1440),
    Q2096_CHAR                 VARCHAR2(1440),
    Q2097_CHAR                 VARCHAR2(1440),
    Q2098_CHAR                 VARCHAR2(1440),
    Q2099_CHAR                 VARCHAR2(1440),
    Q2100_CHAR                 VARCHAR2(1440),
    Q2101_CHAR                 VARCHAR2(1440),
    Q2102_CHAR                 VARCHAR2(1440),
    Q2103_CHAR                 VARCHAR2(1440),
    Q2104_CHAR                 VARCHAR2(1440),
    Q2105_CHAR                 VARCHAR2(1440),
    Q2106_CHAR                 VARCHAR2(1440),
    Q2107_CHAR                 VARCHAR2(1440),
    Q2108_CHAR                 VARCHAR2(1440),
    Q2109_CHAR                 VARCHAR2(1440),
    Q2110_CHAR                 VARCHAR2(1440),
    Q2111_CHAR                 VARCHAR2(1440),
    Q2112_CHAR                 VARCHAR2(1440),
    Q2113_CHAR                 VARCHAR2(1440),
    Q2114_CHAR                 VARCHAR2(1440),
    Q2115_CHAR                 VARCHAR2(1440),
    Q2116_CHAR                 VARCHAR2(1440),
    Q2117_CHAR                 VARCHAR2(1440),
    Q2118_CHAR                 VARCHAR2(1440),
    Q2119_CHAR                 VARCHAR2(1440),
    Q2120_CHAR                 VARCHAR2(1440),
    Q1127_CP                   VARCHAR2(120) ,
    Q1127_LOW_VALUE_CHAR_ID    NUMBER        ,
    Q1128_CP                   VARCHAR2(120) ,
    Q1119_LOW_VALUE_CHAR       VARCHAR2(1440),
    Q1126_CP                   VARCHAR2(120) ,
    Q1126_LOW_VALUE_CHAR_ID    NUMBER        ,
    Q2101_CP                   VARCHAR2(120) ,
    Q2121_CHAR                 VARCHAR2(1440),
    Q2102_CP                   VARCHAR2(120) ,
    Q2122_CHAR                 VARCHAR2(1440),
    Q2103_CP                   VARCHAR2(120) ,
    Q2123_CHAR                 VARCHAR2(1440),
    Q2104_CP                   VARCHAR2(120) ,
    Q2124_CHAR                 VARCHAR2(1440),
    Q2105_CP                   VARCHAR2(120) ,
    Q2125_CHAR                 VARCHAR2(1440),
    Q2106_CP                   VARCHAR2(120) ,
    Q2126_CHAR                 VARCHAR2(1440),
    Q2107_CP                   VARCHAR2(120) ,
    Q2127_CHAR                 VARCHAR2(1440),
    Q2108_CP                   VARCHAR2(120) ,
    Q2128_CHAR                 VARCHAR2(1440),
    Q2109_CP                   VARCHAR2(120) ,
    Q2129_CHAR                 VARCHAR2(1440),
    Q2110_CP                   VARCHAR2(120) ,
    Q2130_CHAR                 VARCHAR2(1440),
    Q2111_CP                   VARCHAR2(120) ,
    Q2121_NUMBER               NUMBER        ,
    Q2112_CP                   VARCHAR2(120) ,
    Q2122_NUMBER               NUMBER        ,
    Q2113_CP                   VARCHAR2(120) ,
    Q2123_NUMBER               NUMBER        ,
    Q2114_CP                   VARCHAR2(120) ,
    Q2124_NUMBER               NUMBER        ,
    Q2115_CP                   VARCHAR2(120) ,
    Q2125_NUMBER               NUMBER        ,
    Q2116_CP                   VARCHAR2(120) ,
    Q2126_NUMBER               NUMBER        ,
    Q2117_CP                   VARCHAR2(120) ,
    Q2127_NUMBER               NUMBER        ,
    Q2118_CP                   VARCHAR2(120) ,
    Q2128_NUMBER               NUMBER        ,
    Q2119_CP                   VARCHAR2(120) ,
    Q2129_NUMBER               NUMBER        ,
    Q2120_CP                   VARCHAR2(120) ,
    Q2130_NUMBER               NUMBER        ,
    Q2121_CP                   VARCHAR2(120) ,
    Q2131_CHAR                 VARCHAR2(1440),
    Q2122_CP                   VARCHAR2(120) ,
    Q2132_CHAR                 VARCHAR2(1440),
    Q2123_CP                   VARCHAR2(120) ,
    Q2133_CHAR                 VARCHAR2(1440),
    Q2124_CP                   VARCHAR2(120) ,
    Q2134_CHAR                 VARCHAR2(1440),
    Q2125_CP                   VARCHAR2(120) ,
    Q2135_CHAR                 VARCHAR2(1440),
    Q2126_CP                   VARCHAR2(120) ,
    Q2136_CHAR                 VARCHAR2(1440),
    Q2127_CP                   VARCHAR2(120) ,
    Q2137_CHAR                 VARCHAR2(1440),
    Q2128_CP                   VARCHAR2(120) ,
    Q2138_CHAR                 VARCHAR2(1440),
    Q2129_CP                   VARCHAR2(120) ,
    Q2139_CHAR                 VARCHAR2(1440),
    Q2130_CP                   VARCHAR2(120) ,
    Q2140_CHAR                 VARCHAR2(1440),
    Q2131_CP                   VARCHAR2(120) ,
    Q2131_NUMBER               NUMBER        ,
    Q2132_CP                   VARCHAR2(120) ,
    Q2132_NUMBER               NUMBER        ,
    Q2133_CP                   VARCHAR2(120) ,
    Q2133_NUMBER               NUMBER        ,
    Q2134_CP                   VARCHAR2(120) ,
    Q2134_NUMBER               NUMBER        ,
    Q2135_CP                   VARCHAR2(120) ,
    Q2135_NUMBER               NUMBER        ,
    Q2136_CP                   VARCHAR2(120) ,
    Q2136_NUMBER               NUMBER        ,
    Q2137_CP                   VARCHAR2(120) ,
    Q2137_NUMBER               NUMBER        ,
    Q2138_CP                   VARCHAR2(120) ,
    Q2138_NUMBER               NUMBER        ,
    Q2139_CP                   VARCHAR2(120) ,
    Q2139_NUMBER               NUMBER        ,
    Q2140_CP                   VARCHAR2(120) ,
    Q2140_NUMBER               NUMBER        ,
    Q2141_CP                   VARCHAR2(120) ,
    Q2141_CHAR                 VARCHAR2(1440),
    Q2142_CP                   VARCHAR2(120) ,
    Q2142_CHAR                 VARCHAR2(1440),
    Q2143_CP                   VARCHAR2(120) ,
    Q2143_CHAR                 VARCHAR2(1440),
    Q2144_CP                   VARCHAR2(120) ,
    Q2144_CHAR                 VARCHAR2(1440),
    Q2145_CP                   VARCHAR2(120) ,
    Q2145_CHAR                 VARCHAR2(1440),
    Q2146_CP                   VARCHAR2(120) ,
    Q2146_CHAR                 VARCHAR2(1440),
    Q2147_CP                   VARCHAR2(120) ,
    Q2147_CHAR                 VARCHAR2(1440),
    Q2148_CP                   VARCHAR2(120) ,
    Q2148_CHAR                 VARCHAR2(1440),
    Q2149_CP                   VARCHAR2(120) ,
    Q2149_CHAR                 VARCHAR2(1440),
    Q2150_CP                   VARCHAR2(120) ,
    Q2150_CHAR                 VARCHAR2(1440),
    Q2151_CP                   VARCHAR2(120) ,
    Q2141_NUMBER               NUMBER        ,
    Q2152_CP                   VARCHAR2(120) ,
    Q2142_NUMBER               NUMBER        ,
    Q2153_CP                   VARCHAR2(120) ,
    Q2143_NUMBER               NUMBER        ,
    Q2154_CP                   VARCHAR2(120) ,
    Q2144_NUMBER               NUMBER        ,
    Q2155_CP                   VARCHAR2(120) ,
    Q2145_NUMBER               NUMBER        ,
    Q2156_CP                   VARCHAR2(120) ,
    Q2146_NUMBER               NUMBER        ,
    Q2157_CP                   VARCHAR2(120) ,
    Q2147_NUMBER               NUMBER        ,
    Q2158_CP                   VARCHAR2(120) ,
    Q2148_NUMBER               NUMBER        ,
    Q2159_CP                   VARCHAR2(120) ,
    Q2149_NUMBER               NUMBER        ,
    Q2160_CP                   VARCHAR2(120) ,
    Q2150_NUMBER               NUMBER        ,
    Q2161_CP                   VARCHAR2(120) ,
    Q2151_CHAR                 VARCHAR2(1440),
    Q2162_CP                   VARCHAR2(120) ,
    Q2152_CHAR                 VARCHAR2(1440),
    Q2163_CP                   VARCHAR2(120) ,
    Q2153_CHAR                 VARCHAR2(1440),
    Q2164_CP                   VARCHAR2(120) ,
    Q2154_CHAR                 VARCHAR2(1440),
    Q2165_CP                   VARCHAR2(120) ,
    Q2155_CHAR                 VARCHAR2(1440),
    Q2166_CP                   VARCHAR2(120) ,
    Q2156_CHAR                 VARCHAR2(1440),
    Q2167_CP                   VARCHAR2(120) ,
    Q2157_CHAR                 VARCHAR2(1440),
    Q2168_CP                   VARCHAR2(120) ,
    Q2158_CHAR                 VARCHAR2(1440),
    Q2169_CP                   VARCHAR2(120) ,
    Q2159_CHAR                 VARCHAR2(1440),
    Q2170_CP                   VARCHAR2(120) ,
    Q2160_CHAR                 VARCHAR2(1440),
    Q2171_CP                   VARCHAR2(120) ,
    Q2151_NUMBER               NUMBER        ,
    Q2172_CP                   VARCHAR2(120) ,
    Q2152_NUMBER               NUMBER        ,
    Q2173_CP                   VARCHAR2(120) ,
    Q2153_NUMBER               NUMBER        ,
    Q2174_CP                   VARCHAR2(120) ,
    Q2154_NUMBER               NUMBER        ,
    Q2175_CP                   VARCHAR2(120) ,
    Q2155_NUMBER               NUMBER        ,
    Q2176_CP                   VARCHAR2(120) ,
    Q2156_NUMBER               NUMBER        ,
    Q2177_CP                   VARCHAR2(120) ,
    Q2157_NUMBER               NUMBER        ,
    Q2178_CP                   VARCHAR2(120) ,
    Q2158_NUMBER               NUMBER        ,
    Q2179_CP                   VARCHAR2(120) ,
    Q2159_NUMBER               NUMBER        ,
    Q2180_CP                   VARCHAR2(120) ,
    Q2160_NUMBER               NUMBER        ,
    Q2181_CP                   VARCHAR2(120) ,
    Q2161_NUMBER               NUMBER        ,
    Q2182_CP                   VARCHAR2(120) ,
    Q2162_NUMBER               NUMBER        ,
    Q2183_CP                   VARCHAR2(120) ,
    Q2163_NUMBER               NUMBER        ,
    Q2184_CP                   VARCHAR2(120) ,
    Q2164_NUMBER               NUMBER        ,
    Q2185_CP                   VARCHAR2(120) ,
    Q2165_NUMBER               NUMBER        ,
    Q2186_CP                   VARCHAR2(120) ,
    Q2187_CP                   VARCHAR2(120) ,
    Q2188_CP                   VARCHAR2(120) ,
    Q2189_CP                   VARCHAR2(120) ,
    Q2190_CP                   VARCHAR2(120) ,
    Q2161_CHAR                 VARCHAR2(1440),
    Q2191_CP                   VARCHAR2(120) ,
    Q2162_CHAR                 VARCHAR2(1440),
    Q2192_CP                   VARCHAR2(120) ,
    Q2163_CHAR                 VARCHAR2(1440),
    Q2193_CP                   VARCHAR2(120) ,
    Q2164_CHAR                 VARCHAR2(1440),
    Q2194_CP                   VARCHAR2(120) ,
    Q2165_CHAR                 VARCHAR2(1440),
    Q2195_CP                   VARCHAR2(120) ,
    Q2166_CHAR                 VARCHAR2(1440),
    Q2196_CP                   VARCHAR2(120) ,
    Q2167_CHAR                 VARCHAR2(1440),
    Q2197_CP                   VARCHAR2(120) ,
    Q2168_CHAR                 VARCHAR2(1440),
    Q2198_CP                   VARCHAR2(120) ,
    Q2169_CHAR                 VARCHAR2(1440),
    Q2199_CP                   VARCHAR2(120) ,
    Q2170_CHAR                 VARCHAR2(1440),
    Q2200_CP                   VARCHAR2(120) ,
    Q2171_CHAR                 VARCHAR2(1440),
    Q2201_CP                   VARCHAR2(120) ,
    Q2172_CHAR                 VARCHAR2(1440),
    Q2202_CP                   VARCHAR2(120) ,
    Q2173_CHAR                 VARCHAR2(1440),
    Q2203_CP                   VARCHAR2(120) ,
    Q2174_CHAR                 VARCHAR2(1440),
    Q2204_CP                   VARCHAR2(120) ,
    Q2175_CHAR                 VARCHAR2(1440),
    Q2205_CP                   VARCHAR2(120) ,
    Q2176_CHAR                 VARCHAR2(1440),
    Q2206_CP                   VARCHAR2(120) ,
    Q2177_CHAR                 VARCHAR2(1440),
    Q2207_CP                   VARCHAR2(120) ,
    Q2178_CHAR                 VARCHAR2(1440),
    Q2208_CP                   VARCHAR2(120) ,
    Q2179_CHAR                 VARCHAR2(1440),
    Q2209_CP                   VARCHAR2(120) ,
    Q2180_CHAR                 VARCHAR2(1440),
    Q2210_CP                   VARCHAR2(120) ,
    Q2181_CHAR                 VARCHAR2(1440),
    Q2211_CP                   VARCHAR2(120) ,
    Q2182_CHAR                 VARCHAR2(1440),
    Q2212_CP                   VARCHAR2(120) ,
    Q2183_CHAR                 VARCHAR2(1440),
    Q2213_CP                   VARCHAR2(120) ,
    Q2184_CHAR                 VARCHAR2(1440),
    Q2214_CP                   VARCHAR2(120) ,
    Q2185_CHAR                 VARCHAR2(1440),
    Q2215_CP                   VARCHAR2(120) ,
    Q2186_CHAR                 VARCHAR2(1440),
    Q2216_CP                   VARCHAR2(120) ,
    Q2187_CHAR                 VARCHAR2(1440),
    Q2217_CP                   VARCHAR2(120) ,
    Q2188_CHAR                 VARCHAR2(1440),
    Q2218_CP                   VARCHAR2(120) ,
    Q2189_CHAR                 VARCHAR2(1440),
    Q2219_CP                   VARCHAR2(120) ,
    Q2190_CHAR                 VARCHAR2(1440),
    Q2220_CP                   VARCHAR2(120) ,
    Q2191_CHAR                 VARCHAR2(1440),
    Q2221_CP                   VARCHAR2(120) ,
    Q2192_CHAR                 VARCHAR2(1440),
    Q2222_CP                   VARCHAR2(120) ,
    Q2193_CHAR                 VARCHAR2(1440),
    Q2223_CP                   VARCHAR2(120) ,
    Q2194_CHAR                 VARCHAR2(1440),
    Q2224_CP                   VARCHAR2(120) ,
    Q2195_CHAR                 VARCHAR2(1440),
    Q2225_CP                   VARCHAR2(120) ,
    Q2196_CHAR                 VARCHAR2(1440),
    Q2226_CP                   VARCHAR2(120) ,
    Q2197_CHAR                 VARCHAR2(1440),
    Q2227_CP                   VARCHAR2(120) ,
    Q2198_CHAR                 VARCHAR2(1440),
    Q2228_CP                   VARCHAR2(120) ,
    Q2199_CHAR                 VARCHAR2(1440),
    Q2229_CP                   VARCHAR2(120) ,
    Q2200_CHAR                 VARCHAR2(1440),
    Q2230_CP                   VARCHAR2(120) ,
    Q2201_CHAR                 VARCHAR2(1440),
    Q2231_CP                   VARCHAR2(120) ,
    Q2202_CHAR                 VARCHAR2(1440),
    Q2232_CP                   VARCHAR2(120) ,
    Q2203_CHAR                 VARCHAR2(1440),
    Q2233_CP                   VARCHAR2(120) ,
    Q2204_CHAR                 VARCHAR2(1440),
    Q2234_CP                   VARCHAR2(120) ,
    Q2205_CHAR                 VARCHAR2(1440),
    Q2235_CP                   VARCHAR2(120) ,
    Q2206_CHAR                 VARCHAR2(1440),
    Q2236_CP                   VARCHAR2(120) ,
    Q2207_CHAR                 VARCHAR2(1440),
    Q2237_CP                   VARCHAR2(120) ,
    Q2208_CHAR                 VARCHAR2(1440),
    Q2238_CP                   VARCHAR2(120) ,
    Q2209_CHAR                 VARCHAR2(1440),
    Q2239_CP                   VARCHAR2(120) ,
    Q2210_CHAR                 VARCHAR2(1440),
    Q2240_CP                   VARCHAR2(120) ,
    Q2211_CHAR                 VARCHAR2(1440),
    Q2241_CP                   VARCHAR2(120) ,
    Q2212_CHAR                 VARCHAR2(1440),
    Q2242_CP                   VARCHAR2(120) ,
    Q2213_CHAR                 VARCHAR2(1440),
    Q2243_CP                   VARCHAR2(120) ,
    Q2214_CHAR                 VARCHAR2(1440),
    Q2244_CP                   VARCHAR2(120) ,
    Q2215_CHAR                 VARCHAR2(1440),
    Q2245_CP                   VARCHAR2(120) ,
    Q2216_CHAR                 VARCHAR2(1440),
    Q2246_CP                   VARCHAR2(120) ,
    Q2217_CHAR                 VARCHAR2(1440),
    Q2247_CP                   VARCHAR2(120) ,
    Q2218_CHAR                 VARCHAR2(1440),
    Q2248_CP                   VARCHAR2(120) ,
    Q2219_CHAR                 VARCHAR2(1440),
    Q2249_CP                   VARCHAR2(120) ,
    Q2220_CHAR                 VARCHAR2(1440),
    Q2250_CP                   VARCHAR2(120) ,
    Q2221_CHAR                 VARCHAR2(1440),
    Q2251_CP                   VARCHAR2(120) ,
    Q2222_CHAR                 VARCHAR2(1440),
    Q2252_CP                   VARCHAR2(120) ,
    Q2223_CHAR                 VARCHAR2(1440),
    Q2253_CP                   VARCHAR2(120) ,
    Q2224_CHAR                 VARCHAR2(1440),
    Q2254_CP                   VARCHAR2(120) ,
    Q2225_CHAR                 VARCHAR2(1440),
    Q2255_CP                   VARCHAR2(120) ,
    Q2226_CHAR                 VARCHAR2(1440),
    Q2256_CP                   VARCHAR2(120) ,
    Q2227_CHAR                 VARCHAR2(1440),
    Q2257_CP                   VARCHAR2(120) ,
    Q2228_CHAR                 VARCHAR2(1440),
    Q2258_CP                   VARCHAR2(120) ,
    Q2229_CHAR                 VARCHAR2(1440),
    Q2259_CP                   VARCHAR2(120) ,
    Q2230_CHAR                 VARCHAR2(1440),
    Q2260_CP                   VARCHAR2(120) ,
    Q2231_CHAR                 VARCHAR2(1440),
    Q2261_CP                   VARCHAR2(120) ,
    Q2232_CHAR                 VARCHAR2(1440),
    Q2262_CP                   VARCHAR2(120) ,
    Q2233_CHAR                 VARCHAR2(1440),
    Q2263_CP                   VARCHAR2(120) ,
    Q2234_CHAR                 VARCHAR2(1440),
    Q2264_CP                   VARCHAR2(120) ,
    Q2235_CHAR                 VARCHAR2(1440),
    Q2265_CP                   VARCHAR2(120) ,
    Q2236_CHAR                 VARCHAR2(1440),
    Q2266_CP                   VARCHAR2(120) ,
    Q2237_CHAR                 VARCHAR2(1440),
    Q2267_CP                   VARCHAR2(120) ,
    Q2238_CHAR                 VARCHAR2(1440),
    Q2268_CP                   VARCHAR2(120) ,
    Q2239_CHAR                 VARCHAR2(1440),
    Q2269_CP                   VARCHAR2(120) ,
    Q2240_CHAR                 VARCHAR2(1440),
    Q2270_CP                   VARCHAR2(120) ,
    Q2241_CHAR                 VARCHAR2(1440),
    Q2271_CP                   VARCHAR2(120) ,
    Q2242_CHAR                 VARCHAR2(1440),
    Q2272_CP                   VARCHAR2(120) ,
    Q2243_CHAR                 VARCHAR2(1440),
    Q2273_CP                   VARCHAR2(120) ,
    Q2244_CHAR                 VARCHAR2(1440),
    Q2274_CP                   VARCHAR2(120) ,
    Q2245_CHAR                 VARCHAR2(1440),
    Q2275_CP                   VARCHAR2(120) ,
    Q2246_CHAR                 VARCHAR2(1440),
    Q2276_CP                   VARCHAR2(120) ,
    Q2247_CHAR                 VARCHAR2(1440),
    Q2277_CP                   VARCHAR2(120) ,
    Q2248_CHAR                 VARCHAR2(1440),
    Q2278_CP                   VARCHAR2(120) ,
    Q2249_CHAR                 VARCHAR2(1440),
    Q2279_CP                   VARCHAR2(120) ,
    Q2250_CHAR                 VARCHAR2(1440),
    Q2280_CP                   VARCHAR2(120) ,
    Q2251_CHAR                 VARCHAR2(1440),
    Q2281_CP                   VARCHAR2(120) ,
    Q2252_CHAR                 VARCHAR2(1440),
    Q2282_CP                   VARCHAR2(120) ,
    Q2253_CHAR                 VARCHAR2(1440),
    Q2283_CP                   VARCHAR2(120) ,
    Q2254_CHAR                 VARCHAR2(1440),
    Q2284_CP                   VARCHAR2(120) ,
    Q2255_CHAR                 VARCHAR2(1440),
    Q2285_CP                   VARCHAR2(120) ,
    Q2256_CHAR                 VARCHAR2(1440),
    Q2286_CP                   VARCHAR2(120) ,
    Q2257_CHAR                 VARCHAR2(1440),
    Q2287_CP                   VARCHAR2(120) ,
    Q2258_CHAR                 VARCHAR2(1440),
    Q2288_CP                   VARCHAR2(120) ,
    Q2259_CHAR                 VARCHAR2(1440),
    Q2289_CP                   VARCHAR2(120) ,
    Q2260_CHAR                 VARCHAR2(1440),
    Q2290_CP                   VARCHAR2(120) ,
    Q2261_CHAR                 VARCHAR2(1440),
    Q2291_CP                   VARCHAR2(120) ,
    Q2262_CHAR                 VARCHAR2(1440),
    Q2292_CP                   VARCHAR2(120) ,
    Q2263_CHAR                 VARCHAR2(1440),
    Q2293_CP                   VARCHAR2(120) ,
    Q2264_CHAR                 VARCHAR2(1440),
    Q2294_CP                   VARCHAR2(120) ,
    Q2265_CHAR                 VARCHAR2(1440),
    Q2295_CP                   VARCHAR2(120) ,
    Q2266_CHAR                 VARCHAR2(1440),
    Q2296_CP                   VARCHAR2(120) ,
    Q2267_CHAR                 VARCHAR2(1440),
    Q2297_CP                   VARCHAR2(120) ,
    Q2268_CHAR                 VARCHAR2(1440),
    Q2298_CP                   VARCHAR2(120) ,
    Q2269_CHAR                 VARCHAR2(1440),
    Q2299_CP                   VARCHAR2(120) ,
    Q2270_CHAR                 VARCHAR2(1440),
    Q2300_CP                   VARCHAR2(120) ,
    Q2271_CHAR                 VARCHAR2(1440),
    Q2301_CP                   VARCHAR2(120) ,
    Q2272_CHAR                 VARCHAR2(1440),
    Q2302_CP                   VARCHAR2(120) ,
    Q2273_CHAR                 VARCHAR2(1440),
    Q2303_CP                   VARCHAR2(120) ,
    Q2274_CHAR                 VARCHAR2(1440),
    Q2304_CP                   VARCHAR2(120) ,
    Q2275_CHAR                 VARCHAR2(1440),
    Q2305_CP                   VARCHAR2(120) ,
    Q2276_CHAR                 VARCHAR2(1440),
    Q2306_CP                   VARCHAR2(120) ,
    Q2277_CHAR                 VARCHAR2(1440),
    Q2307_CP                   VARCHAR2(120) ,
    Q2278_CHAR                 VARCHAR2(1440),
    Q2308_CP                   VARCHAR2(120) ,
    Q2279_CHAR                 VARCHAR2(1440),
    Q2309_CP                   VARCHAR2(120) ,
    Q2280_CHAR                 VARCHAR2(1440),
    Q2310_CP                   VARCHAR2(120) ,
    Q2281_CHAR                 VARCHAR2(1440),
    Q2311_CP                   VARCHAR2(120) ,
    Q2282_CHAR                 VARCHAR2(1440),
    Q2312_CP                   VARCHAR2(120) ,
    Q2283_CHAR                 VARCHAR2(1440),
    Q2313_CP                   VARCHAR2(120) ,
    Q2284_CHAR                 VARCHAR2(1440),
    Q2314_CP                   VARCHAR2(120) ,
    Q2285_CHAR                 VARCHAR2(1440),
    Q2315_CP                   VARCHAR2(120) ,
    Q2286_CHAR                 VARCHAR2(1440),
    Q2316_CP                   VARCHAR2(120) ,
    Q2287_CHAR                 VARCHAR2(1440),
    Q2317_CP                   VARCHAR2(120) ,
    Q2288_CHAR                 VARCHAR2(1440),
    Q2318_CP                   VARCHAR2(120) ,
    Q2289_CHAR                 VARCHAR2(1440),
    Q2319_CP                   VARCHAR2(120) ,
    Q2290_CHAR                 VARCHAR2(1440),
    Q2320_CP                   VARCHAR2(120) ,
    Q2166_NUMBER               NUMBER        ,
    Q2321_CP                   VARCHAR2(120) ,
    Q2167_NUMBER               NUMBER        ,
    Q2322_CP                   VARCHAR2(120) ,
    Q2168_NUMBER               NUMBER        ,
    Q2323_CP                   VARCHAR2(120) ,
    Q2169_NUMBER               NUMBER        ,
    Q2324_CP                   VARCHAR2(120) ,
    Q2170_NUMBER               NUMBER        ,
    Q2325_CP                   VARCHAR2(120) ,
    Q2291_CHAR                 VARCHAR2(1440),
    Q2292_CHAR                 VARCHAR2(1440),
    Q2293_CHAR                 VARCHAR2(1440),
    Q2294_CHAR                 VARCHAR2(1440),
    Q2295_CHAR                 VARCHAR2(1440),
    Q2296_CHAR                 VARCHAR2(1440),
    Q2297_CHAR                 VARCHAR2(1440),
    Q2298_CHAR                 VARCHAR2(1440),
    Q2299_CHAR                 VARCHAR2(1440),
    Q2300_CHAR                 VARCHAR2(1440),
    Q2301_CHAR                 VARCHAR2(1440),
    Q2302_CHAR                 VARCHAR2(1440),
    Q2303_CHAR                 VARCHAR2(1440),
    Q2304_CHAR                 VARCHAR2(1440),
    Q2305_CHAR                 VARCHAR2(1440),
    Q2306_CHAR                 VARCHAR2(1440),
    Q2307_CHAR                 VARCHAR2(1440),
    Q2308_CHAR                 VARCHAR2(1440),
    Q2309_CHAR                 VARCHAR2(1440),
    Q2310_CHAR                 VARCHAR2(1440),
    Q2311_CHAR                 VARCHAR2(1440),
    Q2312_CHAR                 VARCHAR2(1440),
    Q2313_CHAR                 VARCHAR2(1440),
    Q2314_CHAR                 VARCHAR2(1440),
    Q2315_CHAR                 VARCHAR2(1440),
    Q2316_CHAR                 VARCHAR2(1440),
    Q2317_CHAR                 VARCHAR2(1440),
    Q2318_CHAR                 VARCHAR2(1440),
    Q2319_CHAR                 VARCHAR2(1440),
    Q2320_CHAR                 VARCHAR2(1440),
    Q2321_CHAR                 VARCHAR2(1440),
    Q2322_CHAR                 VARCHAR2(1440),
    Q2323_CHAR                 VARCHAR2(1440),
    Q2324_CHAR                 VARCHAR2(1440),
    Q2325_CHAR                 VARCHAR2(1440),
    Q2326_CHAR                 VARCHAR2(1440),
    Q2327_CHAR                 VARCHAR2(1440),
    Q2328_CHAR                 VARCHAR2(1440),
    Q2329_CHAR                 VARCHAR2(1440),
    Q2330_CHAR                 VARCHAR2(1440),
    Q2331_CHAR                 VARCHAR2(1440),
    Q2332_CHAR                 VARCHAR2(1440),
    Q2333_CHAR                 VARCHAR2(1440),
    Q2334_CHAR                 VARCHAR2(1440),
    Q2335_CHAR                 VARCHAR2(1440),
    Q2336_CHAR                 VARCHAR2(1440),
    Q2337_CHAR                 VARCHAR2(1440),
    Q2338_CHAR                 VARCHAR2(1440),
    Q2339_CHAR                 VARCHAR2(1440),
    Q2340_CHAR                 VARCHAR2(1440),
    Q2341_CHAR                 VARCHAR2(1440),
    Q2342_CHAR                 VARCHAR2(1440),
    Q2343_CHAR                 VARCHAR2(1440),
    Q2344_CHAR                 VARCHAR2(1440),
    Q2345_CHAR                 VARCHAR2(1440)
);
